#!/bin/bash
# ******************************************************************************
# * FILE PURPOSE: PDK Builder
# ******************************************************************************
# * FILE NAME: pdkbuilder.sh
# *
# * DESCRIPTION: 
# *  The shell script file cleans and builds the installed PDK components. Please
# *  make sure that the PDK Build Environment is setup correctly before calling
# *  this file. Following environment variables will be a pre-requisite before 
# *  running the shell script file.
# *  C6X_GEN_INSTALL_PATH: Installation directory for Code Generation Tool
# *
# * Copyright (C) 2012, Texas Instruments, Inc.
# *****************************************************************************

# *****************************************************************************
# Clean all components which are a part of the PDK repository
# *****************************************************************************
make -C ti/csl            LIBDIR=./lib clean
make -C ti/drv/qmss       LIBDIR=./lib clean
make -C ti/drv/cppi       LIBDIR=./lib clean
make -C ti/drv/srio       LIBDIR=./lib clean
make -C ti/drv/bcp        LIBDIR=./lib clean
make -C ti/drv/fftc       LIBDIR=./lib clean
make -C ti/drv/pa         LIBDIR=./lib clean
make -C ti/drv/hyplnk     LIBDIR=./lib clean
make -C ti/drv/pcie       LIBDIR=./lib clean
make -C ti/drv/tcp3d      LIBDIR=./lib clean
make -C ti/drv/rm         LIBDIR=./lib clean
make -C ti/drv/aif2       LIBDIR=./lib clean

# *****************************************************************************
# Build both BE and LE libraries
# *****************************************************************************
make -C ti/csl            LIBDIR=./lib all
make -C ti/drv/qmss       LIBDIR=./lib all
make -C ti/drv/cppi       LIBDIR=./lib all
make -C ti/drv/srio       LIBDIR=./lib all
make -C ti/drv/bcp        LIBDIR=./lib all
make -C ti/drv/fftc       LIBDIR=./lib all
make -C ti/drv/pa         LIBDIR=./lib all
make -C ti/drv/hyplnk     LIBDIR=./lib all
make -C ti/drv/pcie       LIBDIR=./lib all
make -C ti/drv/tcp3d      LIBDIR=./lib all
make -C ti/drv/rm         LIBDIR=./lib all
make -C ti/drv/aif2       LIBDIR=./lib all

# *****************************************************************************
#  DONE
# *****************************************************************************
