/********************************************************************
* Copyright (C) 2003-2008 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*********************************************************************
* file: cslr_ct_tracecell_tetris.h
*
* Brief: This file contains the Register Description for ct_tracecell_tetris
*
*********************************************************************/
/* CSL Modification:
 *  The file has been modified from the AUTOGEN file for the following
 *  reasons:-
 *      a) Modified the header file includes to be RTSC compliant
 *      b) Fix for compilation errors for CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME: 1
 *         Replaced to CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_#
 *      c) Fix for compilation for PRORITYLEVEL #. Replaced with PRORITYLEVEL_#
 *      d) Fix for compilation errors for TETRIS_AUTHSTATUS_XXX 'B00
 */
#ifndef _CSLR_CT_TRACECELL_TETRIS_0_H_
#define _CSLR_CT_TRACECELL_TETRIS_0_H_


#include <ti/csl/cslr.h>
#include <ti/csl/tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure for cxatbreplicator_registers
\**************************************************************************/
typedef struct  {
    volatile Uint32 IDFILTER0;
    volatile Uint32 IDFILTER1;
    volatile Uint8 RSVD0[3824];
    volatile Uint32 ITATBCTR1;
    volatile Uint32 ITATBCTR0;
    volatile Uint32 ITCTRL;
    volatile Uint8 RSVD1[156];
    volatile Uint32 CLAIMSET;
    volatile Uint32 CLAIMCLR;
    volatile Uint8 RSVD2[8];
    volatile Uint32 LAR;
    volatile Uint32 LSR;
    volatile Uint32 AUTHSTATUS;
    volatile Uint8 RSVD3[12];
    volatile Uint32 DEVID;
    volatile Uint32 DEVTYPE;
    volatile Uint32 PIDR4;
    volatile Uint32 PIDR5;
    volatile Uint32 PIDR6;
    volatile Uint32 PIDR7;
    volatile Uint32 PIDR0;
    volatile Uint32 PIDR1;
    volatile Uint32 PIDR2;
    volatile Uint32 PIDR3;
    volatile Uint32 CIDR0;
    volatile Uint32 CIDR1;
    volatile Uint32 CIDR2;
    volatile Uint32 CIDR3;
} CSL_Ct_tracecell_tetrisCxatbreplicator_registersRegs;

/**************************************************************************\
* Register Overlay Structure for cxatbfunnel_regs
\**************************************************************************/
typedef struct  {
    volatile Uint32 CTRL_REG;
    volatile Uint32 PRIORITY_CTRL_REG;
    volatile Uint8 RSVD0[3812];
    volatile Uint32 ITATBDATA0;
    volatile Uint32 ITATBCTR2;
    volatile Uint32 ITATBCTR1;
    volatile Uint32 ITATBCTR0;
    volatile Uint8 RSVD1[4];
    volatile Uint32 ITCTRL;
    volatile Uint8 RSVD2[156];
    volatile Uint32 CLAIMSET;
    volatile Uint32 CLAIMCLR;
    volatile Uint8 RSVD3[8];
    volatile Uint32 LOCKACCESS;
    volatile Uint32 LOCKSTATUS;
    volatile Uint32 AUTHSTATUS;
    volatile Uint8 RSVD4[12];
    volatile Uint32 DEVID;
    volatile Uint32 DEVTYPE;
    volatile Uint32 PERIPHID4;
    volatile Uint32 PERIPHID5;
    volatile Uint32 PERIPHID6;
    volatile Uint32 PERIPHID7;
    volatile Uint32 PERIPHID0;
    volatile Uint32 PERIPHID1;
    volatile Uint32 PERIPHID2;
    volatile Uint32 PERIPHID3;
    volatile Uint32 COMPID0;
    volatile Uint32 COMPID1;
    volatile Uint32 COMPID2;
    volatile Uint32 COMPID3;
} CSL_Ct_tracecell_tetrisCxatbfunnel_regsRegs;

/**************************************************************************\
* Register Overlay Structure for cscti_regs
\**************************************************************************/
typedef struct  {
    volatile Uint32 CTICONTROL;
    volatile Uint8 RSVD0[12];
    volatile Uint32 CTIINTACK;
    volatile Uint32 CTIAPPSET;
    volatile Uint32 CTIAPPCLEAR;
    volatile Uint32 CTIAPPPULSE;
    volatile Uint32 CTIINEN0;
    volatile Uint32 CTIINEN1;
    volatile Uint32 CTIINEN2;
    volatile Uint32 CTIINEN3;
    volatile Uint32 CTIINEN4;
    volatile Uint32 CTIINEN5;
    volatile Uint32 CTIINEN6;
    volatile Uint32 CTIINEN7;
    volatile Uint8 RSVD1[96];
    volatile Uint32 CTIOUTEN0;
    volatile Uint32 CTIOUTEN1;
    volatile Uint32 CTIOUTEN2;
    volatile Uint32 CTIOUTEN3;
    volatile Uint32 CTIOUTEN4;
    volatile Uint32 CTIOUTEN5;
    volatile Uint32 CTIOUTEN6;
    volatile Uint32 CTIOUTEN7;
    volatile Uint8 RSVD2[112];
    volatile Uint32 CTITRIGINSTATUS;
    volatile Uint32 CTITRIGOUTSTATUS;
    volatile Uint32 CTICHINSTATUS;
    volatile Uint32 CTICHOUTSTATUS;
    volatile Uint32 CTIGATE;
    volatile Uint32 ASICCTL;
    volatile Uint8 RSVD3[3476];
    volatile Uint32 ITCHINACK;
    volatile Uint32 ITTRIGINACK;
    volatile Uint32 ITCHOUT;
    volatile Uint32 ITTRIGOUT;
    volatile Uint32 ITCHOUTACK;
    volatile Uint32 ITTRIGOUTACK;
    volatile Uint32 ITCHIN;
    volatile Uint32 ITTRIGIN;
    volatile Uint8 RSVD4[4];
    volatile Uint32 ITCTRL;
    volatile Uint8 RSVD5[156];
    volatile Uint32 CLAIMSET;
    volatile Uint32 CLAIMCLR;
    volatile Uint8 RSVD6[8];
    volatile Uint32 LAR;
    volatile Uint32 LSR;
    volatile Uint32 AUTHSTATUS;
    volatile Uint8 RSVD7[12];
    volatile Uint32 DEVID;
    volatile Uint32 DEVTYPE;
    volatile Uint32 PERIPHID4;
    volatile Uint32 PERIPHID5;
    volatile Uint32 PERIPHID6;
    volatile Uint32 PERIPHID7;
    volatile Uint32 PERIPHID0;
    volatile Uint32 PERIPHID1;
    volatile Uint32 PERIPHID2;
    volatile Uint32 PERIPHID3;
    volatile Uint32 COMPID0;
    volatile Uint32 COMPID1;
    volatile Uint32 COMPID2;
    volatile Uint32 COMPID3;
} CSL_Ct_tracecell_tetrisCscti_regsRegs;

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    CSL_Ct_tracecell_tetrisCxatbreplicator_registersRegs CXATBREPLICATOR_REGISTERS;
    CSL_Ct_tracecell_tetrisCxatbfunnel_regsRegs CXATBFUNNEL_REGS;
    CSL_Ct_tracecell_tetrisCscti_regsRegs CSCTI_REGS;
} CSL_Ct_tracecell_tetrisRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* IDFILTER0 */

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_0_F_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_0_F_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_0_F_RESETVAL (0x00000000u)
/*----ID0_0_F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_0_F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_0_F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_10_1F_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_10_1F_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_10_1F_RESETVAL (0x00000000u)
/*----ID0_10_1F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_10_1F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_10_1F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_20_2F_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_20_2F_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_20_2F_RESETVAL (0x00000000u)
/*----ID0_20_2F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_20_2F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_20_2F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_30_3F_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_30_3F_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_30_3F_RESETVAL (0x00000000u)
/*----ID0_30_3F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_30_3F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_30_3F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_40_4F_MASK (0x00000010u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_40_4F_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_40_4F_RESETVAL (0x00000000u)
/*----ID0_40_4F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_40_4F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_40_4F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_50_5F_MASK (0x00000020u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_50_5F_SHIFT (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_50_5F_RESETVAL (0x00000000u)
/*----ID0_50_5F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_50_5F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_50_5F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_60_6F_MASK (0x00000040u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_60_6F_SHIFT (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_60_6F_RESETVAL (0x00000000u)
/*----ID0_60_6F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_60_6F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_60_6F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_70_7F_MASK (0x00000080u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_70_7F_SHIFT (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_70_7F_RESETVAL (0x00000000u)
/*----ID0_70_7F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_70_7F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_ID0_70_7F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER0_RESETVAL (0x00000000u)

/* IDFILTER1 */

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_0_F_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_0_F_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_0_F_RESETVAL (0x00000000u)
/*----ID1_0_F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_0_F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_0_F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_10_1F_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_10_1F_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_10_1F_RESETVAL (0x00000000u)
/*----ID1_10_1F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_10_1F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_10_1F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_20_2F_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_20_2F_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_20_2F_RESETVAL (0x00000000u)
/*----ID1_20_2F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_20_2F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_20_2F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_30_3F_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_30_3F_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_30_3F_RESETVAL (0x00000000u)
/*----ID1_30_3F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_30_3F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_30_3F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_40_4F_MASK (0x00000010u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_40_4F_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_40_4F_RESETVAL (0x00000000u)
/*----ID1_40_4F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_40_4F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_40_4F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_50_5F_MASK (0x00000020u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_50_5F_SHIFT (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_50_5F_RESETVAL (0x00000000u)
/*----ID1_50_5F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_50_5F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_50_5F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_60_6F_MASK (0x00000040u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_60_6F_SHIFT (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_60_6F_RESETVAL (0x00000000u)
/*----ID1_60_6F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_60_6F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_60_6F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_70_7F_MASK (0x00000080u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_70_7F_SHIFT (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_70_7F_RESETVAL (0x00000000u)
/*----ID1_70_7F Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_70_7F_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_ID1_70_7F_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_IDFILTER1_RESETVAL (0x00000000u)

/* ITATBCTR1 */

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM0_R_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM0_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM0_R_RESETVAL (0x00000000u)
/*----ATREADYM0_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM0_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM0_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM1_R_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM1_R_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM1_R_RESETVAL (0x00000000u)
/*----ATREADYM1_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM1_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATREADYM1_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATVALIDS_R_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATVALIDS_R_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATVALIDS_R_RESETVAL (0x00000000u)
/*----ATVALIDS_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATVALIDS_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATVALIDS_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_RESETVAL (0x00000000u)

/* ITATBCTR0 */

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM0_W_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM0_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM0_W_RESETVAL (0x00000000u)
/*----ATVALIDM0_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM0_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM0_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM1_W_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM1_W_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM1_W_RESETVAL (0x00000000u)
/*----ATVALIDM1_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM1_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALIDM1_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATREADYS_W_MASK (0x00000010u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATREADYS_W_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATREADYS_W_RESETVAL (0x00000000u)
/*----ATREADYS_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATREADYS_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATREADYS_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_RESETVAL (0x00000000u)

/* ITCTRL */

#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_RESETVAL (0x00000000u)
/*----Integration_mode Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_INTEGRATIONMODE (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_FUNCTIONALMODE (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITCTRL_RESETVAL (0x00000000u)

/* CLAIMSET */

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_RESETVAL (0x00000000u)
/*----CLAIMSET_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_CLAIMTAG IMPLEMENTED BITS (0x0000000fu)

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_RESETVAL (0x00000000u)

/* CLAIMCLR */

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_RESETVAL (0x00000000u)

/* LAR */

#define CSL_CT_TRACECELL_TETRIS_LAR_ACCESS_W_MASK (0xFFFFFFFFu)
#define CSL_CT_TRACECELL_TETRIS_LAR_ACCESS_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LAR_ACCESS_W_RESETVAL (0x00000000u)
/*----ACCESS_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LAR_ACCESS_W_UNLOCK (0xc5acce55u)

#define CSL_CT_TRACECELL_TETRIS_LAR_RESETVAL (0x00000000u)

/* LSR */

#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_RESETVAL (0x00000000u)
/*----LOCKEXIST Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_LOCKNOT PRESENT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_LOCKPRESENT (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_RESETVAL (0x00000000u)
/*----LOCKGRANT Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_ACCESSPERMITTED (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_DEVICELOCKED (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKTYPE_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKTYPE_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKTYPE_RESETVAL (0x00000000u)
/*----LOCKTYPE Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKTYPE_32-BIT (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_LSR_RESETVAL (0x00000000u)

/* AUTHSTATUS */

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_MASK (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_RESETVAL (0x00000000u)
/*----NSID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_MASK (0x0000000Cu)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_RESETVAL (0x00000000u)
/*----NSNID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_MASK (0x00000030u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_RESETVAL (0x00000000u)
/*----SID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_MASK (0x000000C0u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_SHIFT (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_RESETVAL (0x00000000u)
/*----SNID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_RESETVAL (0x00000000u)

/* DEVID */

#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTNUM_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTNUM_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTNUM_RESETVAL (0x00000000u)
/*----PORTNUM Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTNUM_NUMBEROF PORTS (0x00000002u)

#define CSL_CT_TRACECELL_TETRIS_DEVID_RESETVAL (0x00000000u)

/* DEVTYPE */

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_RESETVAL (0x00000000u)
/*----Major_Type Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_TRACELINK (0x00000002u)

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_RESETVAL (0x00000000u)
/*----Sub_Type Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_CORESIGHTREPLICATOR (0x00000002u)

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_RESETVAL (0x00000000u)

/* PIDR4 */

#define CSL_CT_TRACECELL_TETRIS_PIDR4_JEP106_CONT_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PIDR4_JEP106_CONT_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PIDR4_JEP106_CONT_RESETVAL (0x00000000u)
/*----JEP106_cont Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR4_JEP106_CONT_ARMJEP106 CONTINUATION CODE (0x00000004u)

#define CSL_CT_TRACECELL_TETRIS_PIDR4_FOURKB_COUNT_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PIDR4_FOURKB_COUNT_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PIDR4_FOURKB_COUNT_RESETVAL (0x00000000u)
/*----FourKB_Count Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR4_FOURKB_COUNT_4KB (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PIDR4_RESETVAL (0x00000000u)

/* PIDR5 */

#define CSL_CT_TRACECELL_TETRIS_PIDR5_RESETVAL (0x00000000u)

/* PIDR6 */

#define CSL_CT_TRACECELL_TETRIS_PIDR6_RESETVAL (0x00000000u)

/* PIDR7 */

#define CSL_CT_TRACECELL_TETRIS_PIDR7_RESETVAL (0x00000000u)

/* PIDR0 */

#define CSL_CT_TRACECELL_TETRIS_PIDR0_PART_NUMBER_BITS7TO0_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_PIDR0_PART_NUMBER_BITS7TO0_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PIDR0_PART_NUMBER_BITS7TO0_RESETVAL (0x00000000u)
/*----Part_Number_bits7to0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR0_PART_NUMBER_BITS7TO0_CORESIGHTREPLICATOR PART NUMBER[7:0] (0x00000009u)

#define CSL_CT_TRACECELL_TETRIS_PIDR0_RESETVAL (0x00000000u)

/* PIDR1 */

#define CSL_CT_TRACECELL_TETRIS_PIDR1_PART_NUMBER_BITS11TO8_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PIDR1_PART_NUMBER_BITS11TO8_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PIDR1_PART_NUMBER_BITS11TO8_RESETVAL (0x00000000u)
/*----Part_Number_bits11to8 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR1_PART_NUMBER_BITS11TO8_CORESIGHTREPLICATOR PART NUMBER[11:8] (0x00000009u)

#define CSL_CT_TRACECELL_TETRIS_PIDR1_JEP106_BITS3TO0_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PIDR1_JEP106_BITS3TO0_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PIDR1_JEP106_BITS3TO0_RESETVAL (0x00000000u)
/*----JEP106_bits3to0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR1_JEP106_BITS3TO0_ARMJEP106 IDENTITY CODE[7:0] (0x0000000bu)

#define CSL_CT_TRACECELL_TETRIS_PIDR1_RESETVAL (0x00000000u)

/* PIDR2 */

#define CSL_CT_TRACECELL_TETRIS_PIDR2_JEP106_BITS6TO4_MASK (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_PIDR2_JEP106_BITS6TO4_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PIDR2_JEP106_BITS6TO4_RESETVAL (0x00000000u)
/*----JEP106_bits6to4 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR2_JEP106_BITS6TO4_ARMJEP106 IDENTITY CODE[6:4] (0x00000003u)

#define CSL_CT_TRACECELL_TETRIS_PIDR2_JEDEC_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_PIDR2_JEDEC_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PIDR2_JEDEC_RESETVAL (0x00000000u)
/*----JEDEC Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR2_JEDEC_JEDECIDENTITY (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_PIDR2_REVISION_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PIDR2_REVISION_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PIDR2_REVISION_RESETVAL (0x00000000u)
/*----Revision Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR2_REVISION_R1P0 (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_PIDR2_RESETVAL (0x00000000u)

/* PIDR3 */

#define CSL_CT_TRACECELL_TETRIS_PIDR3_CUSTOMER_MODIFIED_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PIDR3_CUSTOMER_MODIFIED_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PIDR3_CUSTOMER_MODIFIED_RESETVAL (0x00000000u)
/*----Customer_Modified Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR3_CUSTOMER_MODIFIED_NOMODS (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PIDR3_REVAND_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PIDR3_REVAND_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PIDR3_REVAND_RESETVAL (0x00000000u)
/*----RevAnd Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PIDR3_REVAND_NOMODS (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PIDR3_RESETVAL (0x00000000u)

/* CIDR0 */

#define CSL_CT_TRACECELL_TETRIS_CIDR0_PREAMBLE_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_CIDR0_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CIDR0_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CIDR0_PREAMBLE_0D (0x0000000du)

#define CSL_CT_TRACECELL_TETRIS_CIDR0_RESETVAL (0x00000000u)

/* CIDR1 */

#define CSL_CT_TRACECELL_TETRIS_CIDR1_PREAMBLE_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CIDR1_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CIDR1_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CIDR1_PREAMBLE_0 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CIDR1_CLASS_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_CIDR1_CLASS_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_CIDR1_CLASS_RESETVAL (0x00000000u)
/*----Class Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CIDR1_CLASS_CORESIGHTCOMPONENT (0x00000009u)

#define CSL_CT_TRACECELL_TETRIS_CIDR1_RESETVAL (0x00000000u)

/* CIDR2 */

#define CSL_CT_TRACECELL_TETRIS_CIDR2_PREAMBLE_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_CIDR2_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CIDR2_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CIDR2_PREAMBLE_05 (0x00000005u)

#define CSL_CT_TRACECELL_TETRIS_CIDR2_RESETVAL (0x00000000u)

/* CIDR3 */

#define CSL_CT_TRACECELL_TETRIS_CIDR3_PREAMBLE_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_CIDR3_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CIDR3_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CIDR3_PREAMBLE_B1 (0x000000b1u)

#define CSL_CT_TRACECELL_TETRIS_CIDR3_RESETVAL (0x00000000u)

/* Ctrl_Reg */

#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_MASK (0x00000F00u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_SHIFT (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_RESETVAL (0x00000000u)
/*----HT Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_1 (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_2 (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_3 (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_4 (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_5 (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_6 (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_7 (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_8 (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_9 (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_10 (0x00000009u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_11 (0x0000000au)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_12 (0x0000000bu)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_13 (0x0000000cu)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_14 (0x0000000du)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_HT_HOLDTIME_15 (0x0000000eu)

#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS4_MASK (0x00000010u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS4_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS4_RESETVAL (0x00000000u)
/*----EnS4 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS4_ENABLE (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS4_DISABLE (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS3_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS3_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS3_RESETVAL (0x00000000u)
/*----EnS3 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS3_ENABLE (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS3_DISABLE (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS2_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS2_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS2_RESETVAL (0x00000000u)
/*----EnS2 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS2_ENABLE (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS2_DISABLE (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS1_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS1_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS1_RESETVAL (0x00000000u)
/*----EnS1 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS1_ENABLE (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS1_DISABLE (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS0_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS0_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS0_RESETVAL (0x00000000u)
/*----EnS0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS0_ENABLE (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_ENS0_DISABLE (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTRL_REG_RESETVAL (0x00000000u)

/* Priority_Ctrl_Reg */

#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_MASK (0x00007000u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_SHIFT (0x0000000Cu)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_RESETVAL (0x00000000u)
/*----PriPort4 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_PRORITYLEVEL_0 (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_PRORITYLEVEL_1 (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_PRORITYLEVEL_2 (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_PRORITYLEVEL_3 (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_PRORITYLEVEL_4 (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_PRORITYLEVEL_5 (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_PRORITYLEVEL_6 (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT4_PRORITYLEVEL_7 (0x00000007u)

#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_MASK (0x00000E00u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_SHIFT (0x00000009u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_RESETVAL (0x00000000u)
/*----PriPort3 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_PRORITYLEVEL_0 (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_PRORITYLEVEL_1 (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_PRORITYLEVEL_2 (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_PRORITYLEVEL_3 (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_PRORITYLEVEL_4 (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_PRORITYLEVEL_5 (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_PRORITYLEVEL_6 (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT3_PRORITYLEVEL_7 (0x00000007u)

#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_MASK (0x000001C0u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_SHIFT (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_RESETVAL (0x00000000u)
/*----PriPort2 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_PRORITYLEVEL_0 (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_PRORITYLEVEL_1 (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_PRORITYLEVEL_2 (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_PRORITYLEVEL_3 (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_PRORITYLEVEL_4 (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_PRORITYLEVEL_5 (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_PRORITYLEVEL_6 (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT2_PRORITYLEVEL_7 (0x00000007u)

#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_MASK (0x00000038u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_RESETVAL (0x00000000u)
/*----PriPort1 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_PRORITYLEVEL_0 (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_PRORITYLEVEL_1 (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_PRORITYLEVEL_2 (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_PRORITYLEVEL_3 (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_PRORITYLEVEL_4 (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_PRORITYLEVEL_5 (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_PRORITYLEVEL_6 (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT1_PRORITYLEVEL_7 (0x00000007u)

#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_MASK (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_RESETVAL (0x00000000u)
/*----PriPort0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_PRORITYLEVEL_0 (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_PRORITYLEVEL_1 (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_PRORITYLEVEL_2 (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_PRORITYLEVEL_3 (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_PRORITYLEVEL_4 (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_PRORITYLEVEL_5 (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_PRORITYLEVEL_6 (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_PRIPORT0_PRORITYLEVEL_7 (0x00000007u)

#define CSL_CT_TRACECELL_TETRIS_PRIORITY_CTRL_REG_RESETVAL (0x00000000u)

/* ITATBDATA0 */

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_W_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_W_RESETVAL (0x00000000u)
/*----ATDATA0_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_W_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_W_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_W_RESETVAL (0x00000000u)
/*----ATDATA7_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_W_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_W_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_W_RESETVAL (0x00000000u)
/*----ATDATA15_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATAM23_W_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATAM23_W_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATAM23_W_RESETVAL (0x00000000u)
/*----ATDATAM23_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATAM23_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATAM23_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_W_MASK (0x00000010u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_W_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_W_RESETVAL (0x00000000u)
/*----ATDATA31_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_W_MASK (0x00000020u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_W_SHIFT (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_W_RESETVAL (0x00000000u)
/*----ATDATA39_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_W_MASK (0x00000040u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_W_SHIFT (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_W_RESETVAL (0x00000000u)
/*----ATDATA47_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_W_MASK (0x00000080u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_W_SHIFT (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_W_RESETVAL (0x00000000u)
/*----ATDATA55_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_W_MASK (0x00000100u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_W_SHIFT (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_W_RESETVAL (0x00000000u)
/*----ATDATA63_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_R_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_R_RESETVAL (0x00000000u)
/*----ATDATA0_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA0_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_R_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_R_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_R_RESETVAL (0x00000000u)
/*----ATDATA7_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA7_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_R_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_R_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_R_RESETVAL (0x00000000u)
/*----ATDATA15_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA15_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA23_R_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA23_R_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA23_R_RESETVAL (0x00000000u)
/*----ATDATA23_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA23_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA23_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_R_MASK (0x00000010u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_R_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_R_RESETVAL (0x00000000u)
/*----ATDATA31_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA31_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_R_MASK (0x00000020u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_R_SHIFT (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_R_RESETVAL (0x00000000u)
/*----ATDATA39_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA39_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_R_MASK (0x00000040u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_R_SHIFT (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_R_RESETVAL (0x00000000u)
/*----ATDATA47_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA47_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_R_MASK (0x00000080u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_R_SHIFT (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_R_RESETVAL (0x00000000u)
/*----ATDATA55_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA55_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_R_MASK (0x00000100u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_R_SHIFT (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_R_RESETVAL (0x00000000u)
/*----ATDATA63_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_ATDATA63_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBDATA0_RESETVAL (0x00000000u)

/* ITATBCTR2 */

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_W_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_W_RESETVAL (0x00000000u)
/*----ATREADY_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_R_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_R_RESETVAL (0x00000000u)
/*----ATREADY_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_ATREADY_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_W_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_W_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_W_RESETVAL (0x00000000u)
/*----AFVALID_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_R_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_R_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_R_RESETVAL (0x00000000u)
/*----AFVALID_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_AFVALID_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR2_RESETVAL (0x00000000u)

/* ITATBCTR1 */

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATID_W_MASK (0x0000007Fu)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATID_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATID_W_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATID_R_MASK (0x0000007Fu)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATID_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_ATID_R_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR1_RESETVAL (0x00000000u)

/* ITATBCTR0 */

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_R_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_R_RESETVAL (0x00000000u)
/*----ATVALID_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_W_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_W_RESETVAL (0x00000000u)
/*----ATVALID_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATVALID_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_R_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_R_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_R_RESETVAL (0x00000000u)
/*----AFREADY_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_W_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_W_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_W_RESETVAL (0x00000000u)
/*----AFREADY_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_AFREADY_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_R_MASK (0x00000700u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_R_SHIFT (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_R_RESETVAL (0x00000000u)
/*----ATBYTES_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_R_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_R_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_W_MASK (0x00000700u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_W_SHIFT (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_W_RESETVAL (0x00000000u)
/*----ATBYTES_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_W_HIGH (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_ATBYTES_W_LOW (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITATBCTR0_RESETVAL (0x00000000u)

/* ITCTRL */

#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_RESETVAL (0x00000000u)
/*----Integration_mode Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_INTEGRATIONMODE (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_FUNCTIONALMODE (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITCTRL_RESETVAL (0x00000000u)

/* CLAIMSET */

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_RESETVAL (0x00000000u)
/*----CLAIMSET_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_CLAIMTAG IMPLEMENTED BITS (0x0000000fu)

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_RESETVAL (0x00000000u)

/* CLAIMCLR */

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_RESETVAL (0x00000000u)

/* LOCKACCESS */

#define CSL_CT_TRACECELL_TETRIS_LOCKACCESS_ACCESS_W_MASK (0xFFFFFFFFu)
#define CSL_CT_TRACECELL_TETRIS_LOCKACCESS_ACCESS_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LOCKACCESS_ACCESS_W_RESETVAL (0x00000000u)
/*----ACCESS_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LOCKACCESS_ACCESS_W_UNLOCK (0xc5acce55u)
#define CSL_CT_TRACECELL_TETRIS_LOCKACCESS_ACCESS_W_LOCK (0xdeadbeefu)

#define CSL_CT_TRACECELL_TETRIS_LOCKACCESS_RESETVAL (0x00000000u)

/* LOCKSTATUS */

#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKEXIST_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKEXIST_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKEXIST_RESETVAL (0x00000000u)
/*----LOCKEXIST Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKEXIST_LOCKNOT PRESENT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKEXIST_LOCKPRESENT (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKGRANT_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKGRANT_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKGRANT_RESETVAL (0x00000000u)
/*----LOCKGRANT Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKGRANT_ACCESSPERMITTED (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKGRANT_DEVICELOCKED (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKTYPE_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKTYPE_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKTYPE_RESETVAL (0x00000000u)
/*----LOCKTYPE Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_LOCKTYPE_32-BIT (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_LOCKSTATUS_RESETVAL (0x00000000u)

/* AUTHSTATUS */

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_MASK (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_RESETVAL (0x00000000u)
/*----NSID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_MASK (0x0000000Cu)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_RESETVAL (0x00000000u)
/*----NSNID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_MASK (0x00000030u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_RESETVAL (0x00000000u)
/*----SID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_MASK (0x000000C0u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_SHIFT (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_RESETVAL (0x00000000u)
/*----SNID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_RESETVAL (0x00000000u)

/* DEVID */

#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_RESETVAL (0x00000000u)
/*----PORTCOUNT Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_2 (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_3 (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_4 (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_5 (0x00000005u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_6 (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_7 (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_PORTCOUNT_8 (0x00000008u)

#define CSL_CT_TRACECELL_TETRIS_DEVID_SCHEME_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_SCHEME_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_SCHEME_RESETVAL (0x00000000u)
/*----SCHEME Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVID_SCHEME_STATICPRIORITY (0x00000003u)

#define CSL_CT_TRACECELL_TETRIS_DEVID_RESETVAL (0x00000000u)

/* DEVTYPE */

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_RESETVAL (0x00000000u)
/*----Sub_Type Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_FUNNEL,ROUTER (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_RESETVAL (0x00000000u)
/*----Major_Type Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_TRACELINK (0x00000002u)

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_RESETVAL (0x00000000u)

/* PERIPHID4 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_FOURKB_COUNT_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_FOURKB_COUNT_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_FOURKB_COUNT_RESETVAL (0x00000000u)
/*----FourKB_Count Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_FOURKB_COUNT_4KB (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_JEP106_CONT_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_JEP106_CONT_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_JEP106_CONT_RESETVAL (0x00000000u)
/*----JEP106_cont Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_JEP106_CONT_ARMJEP106 CONTINUATION CODE (0x00000004u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_RESETVAL (0x00000000u)

/* PERIPHID5 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID5_RESETVAL (0x00000000u)

/* PERIPHID6 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID6_RESETVAL (0x00000000u)

/* PERIPHID7 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID7_RESETVAL (0x00000000u)

/* PERIPHID0 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_PART_NUMBER_BITS7TO0_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_PART_NUMBER_BITS7TO0_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_PART_NUMBER_BITS7TO0_RESETVAL (0x00000000u)
/*----Part_Number_bits7to0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_PART_NUMBER_BITS7TO0_CORESIGHTFUNNEL PART NUMBER[7:0] (0x00000008u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_RESETVAL (0x00000000u)

/* PERIPHID1 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_JEP106_BITS3TO0_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_JEP106_BITS3TO0_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_JEP106_BITS3TO0_RESETVAL (0x00000000u)
/*----JEP106_bits3to0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_JEP106_BITS3TO0_ARMJEP106 IDENTITY CODE[7:0] (0x0000000bu)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_PART_NUMBER_BITS11TO8_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_PART_NUMBER_BITS11TO8_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_PART_NUMBER_BITS11TO8_RESETVAL (0x00000000u)
/*----Part_Number_bits11to8 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_PART_NUMBER_BITS11TO8_CORESIGHTFUNNEL PART NUMBER[11:8] (0x00000009u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_RESETVAL (0x00000000u)

/* PERIPHID2 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_REVISION_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_REVISION_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_REVISION_RESETVAL (0x00000000u)
/*----Revision Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_REVISION_R2P0 (0x00000002u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEDEC_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEDEC_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEDEC_RESETVAL (0x00000000u)
/*----JEDEC Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEDEC_JEDECIDENTITY (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEP106_BITS6TO4_MASK (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEP106_BITS6TO4_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEP106_BITS6TO4_RESETVAL (0x00000000u)
/*----JEP106_bits6to4 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEP106_BITS6TO4_ARMJEP106 IDENTITY CODE[6:4] (0x00000003u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_RESETVAL (0x00000000u)

/* PERIPHID3 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_REVAND_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_REVAND_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_REVAND_RESETVAL (0x00000000u)
/*----RevAnd Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_REVAND_NOMODS (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_CUSTOMER_MODIFIED_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_CUSTOMER_MODIFIED_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_CUSTOMER_MODIFIED_RESETVAL (0x00000000u)
/*----Customer_Modified Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_CUSTOMER_MODIFIED_NOMODS (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_RESETVAL (0x00000000u)

/* COMPID0 */

#define CSL_CT_TRACECELL_TETRIS_COMPID0_PREAMBLE_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_COMPID0_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_COMPID0_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID0_PREAMBLE_0D (0x0000000du)

#define CSL_CT_TRACECELL_TETRIS_COMPID0_RESETVAL (0x00000000u)

/* COMPID1 */

#define CSL_CT_TRACECELL_TETRIS_COMPID1_CLASS_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_COMPID1_CLASS_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_COMPID1_CLASS_RESETVAL (0x00000000u)
/*----Class Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID1_CLASS_CORESIGHTCOMPONENT (0x00000009u)

#define CSL_CT_TRACECELL_TETRIS_COMPID1_PREAMBLE_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_COMPID1_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_COMPID1_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID1_PREAMBLE_0 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_COMPID1_RESETVAL (0x00000000u)

/* COMPID2 */

#define CSL_CT_TRACECELL_TETRIS_COMPID2_PREAMBLE_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_COMPID2_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_COMPID2_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID2_PREAMBLE_05 (0x00000005u)

#define CSL_CT_TRACECELL_TETRIS_COMPID2_RESETVAL (0x00000000u)

/* COMPID3 */

#define CSL_CT_TRACECELL_TETRIS_COMPID3_PREAMBLE_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_COMPID3_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_COMPID3_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID3_PREAMBLE_B1 (0x000000b1u)

#define CSL_CT_TRACECELL_TETRIS_COMPID3_RESETVAL (0x00000000u)

/* CTICONTROL */

#define CSL_CT_TRACECELL_TETRIS_CTICONTROL_GLBEN_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTICONTROL_GLBEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTICONTROL_GLBEN_RESETVAL (0x00000000u)
/*----GLBEN Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CTICONTROL_GLBEN_ENABLED (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTICONTROL_GLBEN_DISABLED (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTICONTROL_RESETVAL (0x00000000u)

/* CTIINTACK */

#define CSL_CT_TRACECELL_TETRIS_CTIINTACK_INTACK_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_CTIINTACK_INTACK_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINTACK_INTACK_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINTACK_RESETVAL (0x00000000u)

/* CTIAPPSET */

#define CSL_CT_TRACECELL_TETRIS_CTIAPPSET_APPSET_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_CTIAPPSET_APPSET_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIAPPSET_APPSET_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIAPPSET_RESETVAL (0x00000000u)

/* CTIAPPCLEAR */

#define CSL_CT_TRACECELL_TETRIS_CTIAPPCLEAR_APPCLEAR_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIAPPCLEAR_APPCLEAR_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIAPPCLEAR_APPCLEAR_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIAPPCLEAR_RESETVAL (0x00000000u)

/* CTIAPPPULSE */

#define CSL_CT_TRACECELL_TETRIS_CTIAPPPULSE_APPULSE_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_CTIAPPPULSE_APPULSE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIAPPPULSE_APPULSE_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIAPPPULSE_RESETVAL (0x00000000u)

/* CTIINEN0 */

#define CSL_CT_TRACECELL_TETRIS_CTIINEN0_TRIGINEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN0_TRIGINEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN0_TRIGINEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINEN0_RESETVAL (0x00000000u)

/* CTIINEN1 */

#define CSL_CT_TRACECELL_TETRIS_CTIINEN1_TRIGINEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN1_TRIGINEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN1_TRIGINEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINEN1_RESETVAL (0x00000000u)

/* CTIINEN2 */

#define CSL_CT_TRACECELL_TETRIS_CTIINEN2_TRIGINEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN2_TRIGINEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN2_TRIGINEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINEN2_RESETVAL (0x00000000u)

/* CTIINEN3 */

#define CSL_CT_TRACECELL_TETRIS_CTIINEN3_TRIGINEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN3_TRIGINEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN3_TRIGINEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINEN3_RESETVAL (0x00000000u)

/* CTIINEN4 */

#define CSL_CT_TRACECELL_TETRIS_CTIINEN4_TRIGINEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN4_TRIGINEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN4_TRIGINEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINEN4_RESETVAL (0x00000000u)

/* CTIINEN5 */

#define CSL_CT_TRACECELL_TETRIS_CTIINEN5_TRIGINEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN5_TRIGINEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN5_TRIGINEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINEN5_RESETVAL (0x00000000u)

/* CTIINEN6 */

#define CSL_CT_TRACECELL_TETRIS_CTIINEN6_TRIGINEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN6_TRIGINEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN6_TRIGINEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINEN6_RESETVAL (0x00000000u)

/* CTIINEN7 */

#define CSL_CT_TRACECELL_TETRIS_CTIINEN7_TRIGINEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN7_TRIGINEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIINEN7_TRIGINEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIINEN7_RESETVAL (0x00000000u)

/* CTIOUTEN0 */

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN0_TRIGOUTEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN0_TRIGOUTEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN0_TRIGOUTEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN0_RESETVAL (0x00000000u)

/* CTIOUTEN1 */

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN1_TRIGOUTEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN1_TRIGOUTEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN1_TRIGOUTEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN1_RESETVAL (0x00000000u)

/* CTIOUTEN2 */

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN2_TRIGOUTEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN2_TRIGOUTEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN2_TRIGOUTEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN2_RESETVAL (0x00000000u)

/* CTIOUTEN3 */

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN3_TRIGOUTEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN3_TRIGOUTEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN3_TRIGOUTEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN3_RESETVAL (0x00000000u)

/* CTIOUTEN4 */

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN4_TRIGOUTEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN4_TRIGOUTEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN4_TRIGOUTEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN4_RESETVAL (0x00000000u)

/* CTIOUTEN5 */

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN5_TRIGOUTEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN5_TRIGOUTEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN5_TRIGOUTEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN5_RESETVAL (0x00000000u)

/* CTIOUTEN6 */

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN6_TRIGOUTEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN6_TRIGOUTEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN6_TRIGOUTEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN6_RESETVAL (0x00000000u)

/* CTIOUTEN7 */

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN7_TRIGOUTEN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN7_TRIGOUTEN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN7_TRIGOUTEN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIOUTEN7_RESETVAL (0x00000000u)

/* CTITRIGINSTATUS */

#define CSL_CT_TRACECELL_TETRIS_CTITRIGINSTATUS_TRIGINSTATUS_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_CTITRIGINSTATUS_TRIGINSTATUS_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTITRIGINSTATUS_TRIGINSTATUS_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTITRIGINSTATUS_RESETVAL (0x00000000u)

/* CTITRIGOUTSTATUS */

#define CSL_CT_TRACECELL_TETRIS_CTITRIGOUTSTATUS_TRIGOUTSTATUS_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_CTITRIGOUTSTATUS_TRIGOUTSTATUS_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTITRIGOUTSTATUS_TRIGOUTSTATUS_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTITRIGOUTSTATUS_RESETVAL (0x00000000u)

/* CTICHINSTATUS */

#define CSL_CT_TRACECELL_TETRIS_CTICHINSTATUS_CTICHINSTATUS_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTICHINSTATUS_CTICHINSTATUS_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTICHINSTATUS_CTICHINSTATUS_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTICHINSTATUS_RESETVAL (0x00000000u)

/* CTICHOUTSTATUS */

#define CSL_CT_TRACECELL_TETRIS_CTICHOUTSTATUS_CTICHOUTSTATUS_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CTICHOUTSTATUS_CTICHOUTSTATUS_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTICHOUTSTATUS_CTICHOUTSTATUS_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTICHOUTSTATUS_RESETVAL (0x00000000u)

/* CTIGATE */

#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN0_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN0_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN0_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN1_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN1_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN1_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN2_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN2_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN2_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN3_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN3_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_CTIGATE_CTIGATEEN3_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CTIGATE_RESETVAL (0x00000000u)

/* ASICCTL */

#define CSL_CT_TRACECELL_TETRIS_ASICCTL_ASICCTL_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_ASICCTL_ASICCTL_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ASICCTL_ASICCTL_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ASICCTL_RESETVAL (0x00000000u)

/* ITCHINACK */

#define CSL_CT_TRACECELL_TETRIS_ITCHINACK_CTCHINACK_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_ITCHINACK_CTCHINACK_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITCHINACK_CTCHINACK_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITCHINACK_RESETVAL (0x00000000u)

/* ITTRIGINACK */

#define CSL_CT_TRACECELL_TETRIS_ITTRIGINACK_CTTRIGINACK_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_ITTRIGINACK_CTTRIGINACK_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITTRIGINACK_CTTRIGINACK_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITTRIGINACK_RESETVAL (0x00000000u)

/* ITCHOUT */

#define CSL_CT_TRACECELL_TETRIS_ITCHOUT_CTCHOUT_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_ITCHOUT_CTCHOUT_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITCHOUT_CTCHOUT_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITCHOUT_RESETVAL (0x00000000u)

/* ITTRIGOUT */

#define CSL_CT_TRACECELL_TETRIS_ITTRIGOUT_CTTRIGOUT_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_ITTRIGOUT_CTTRIGOUT_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITTRIGOUT_CTTRIGOUT_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITTRIGOUT_RESETVAL (0x00000000u)

/* ITCHOUTACK */

#define CSL_CT_TRACECELL_TETRIS_ITCHOUTACK_CTCHOUTACK_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_ITCHOUTACK_CTCHOUTACK_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITCHOUTACK_CTCHOUTACK_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITCHOUTACK_RESETVAL (0x00000000u)

/* ITTRIGOUTACK */

#define CSL_CT_TRACECELL_TETRIS_ITTRIGOUTACK_CTTRIGOUTACK_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_ITTRIGOUTACK_CTTRIGOUTACK_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITTRIGOUTACK_CTTRIGOUTACK_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITTRIGOUTACK_RESETVAL (0x00000000u)

/* ITCHIN */

#define CSL_CT_TRACECELL_TETRIS_ITCHIN_CTCHIN_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_ITCHIN_CTCHIN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITCHIN_CTCHIN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITCHIN_RESETVAL (0x00000000u)

/* ITTRIGIN */

#define CSL_CT_TRACECELL_TETRIS_ITTRIGIN_CTTRIGIN_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_ITTRIGIN_CTTRIGIN_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITTRIGIN_CTTRIGIN_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITTRIGIN_RESETVAL (0x00000000u)

/* ITCTRL */

#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_RESETVAL (0x00000000u)
/*----Integration_mode Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_INTEGRATIONMODE (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_ITCTRL_INTEGRATION_MODE_FUNCTIONALMODE (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_ITCTRL_RESETVAL (0x00000000u)

/* CLAIMSET */

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_RESETVAL (0x00000000u)
/*----CLAIMSET_R Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_R_CLAIMTAG IMPLEMENTED BITS (0x0000000fu)

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_CLAIMSET_W_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMSET_RESETVAL (0x00000000u)

/* CLAIMCLR */

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_R_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_CLAIMCLR_W_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_CLAIMCLR_RESETVAL (0x00000000u)

/* LAR */

#define CSL_CT_TRACECELL_TETRIS_LAR_ACCESS_W_MASK (0xFFFFFFFFu)
#define CSL_CT_TRACECELL_TETRIS_LAR_ACCESS_W_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LAR_ACCESS_W_RESETVAL (0x00000000u)
/*----ACCESS_W Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LAR_ACCESS_W_UNLOCK (0xc5acce55u)

#define CSL_CT_TRACECELL_TETRIS_LAR_RESETVAL (0x00000000u)

/* LSR */

#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_MASK (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_RESETVAL (0x00000000u)
/*----LOCKEXIST Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_LOCKNOT PRESENT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKEXIST_LOCKPRESENT (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_MASK (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_SHIFT (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_RESETVAL (0x00000000u)
/*----LOCKGRANT Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_ACCESSPERMITTED (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKGRANT_DEVICELOCKED (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKTYPE_MASK (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKTYPE_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKTYPE_RESETVAL (0x00000000u)
/*----LOCKTYPE Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_LSR_LOCKTYPE_32-BIT (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_LSR_RESETVAL (0x00000000u)

/* AUTHSTATUS */

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_MASK (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_RESETVAL (0x00000000u)
/*----NSID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_2_B01 (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSID_2_B11 (0x00000003u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_MASK (0x0000000Cu)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_SHIFT (0x00000002u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_RESETVAL (0x00000000u)
/*----NSNID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_2_B01 (0x00000001u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_NSNID_2_B11 (0x00000003u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_MASK (0x00000030u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_RESETVAL (0x00000000u)
/*----SID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_MASK (0x000000C0u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_SHIFT (0x00000006u)
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_RESETVAL (0x00000000u)
/*----SNID Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_SNID_2_B00 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_AUTHSTATUS_RESETVAL (0x00000000u)

/* DEVID */

#define CSL_CT_TRACECELL_TETRIS_DEVID_EXTMUXNUM_MASK (0x0000001Fu)
#define CSL_CT_TRACECELL_TETRIS_DEVID_EXTMUXNUM_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_EXTMUXNUM_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_DEVID_NUMTRIG_MASK (0x0000FF00u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_NUMTRIG_SHIFT (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_NUMTRIG_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_DEVID_NUMCH_MASK (0x000F0000u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_NUMCH_SHIFT (0x00000010u)
#define CSL_CT_TRACECELL_TETRIS_DEVID_NUMCH_RESETVAL (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_DEVID_RESETVAL (0x00000000u)

/* DEVTYPE */

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_RESETVAL (0x00000000u)
/*----Major_Type Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_MAJOR_TYPE_DEBUGCONTROL (0x00000004u)

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_RESETVAL (0x00000000u)
/*----Sub_Type Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_SUB_TYPE_TRIGGERMATRIX (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_DEVTYPE_RESETVAL (0x00000000u)

/* PERIPHID4 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_DES_2_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_DES_2_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_DES_2_RESETVAL (0x00000000u)
/*----DES_2 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_DES_2_ARMJEP106 CONTINUATION CODE (0x00000004u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_SIZE_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_SIZE_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_SIZE_RESETVAL (0x00000000u)
/*----SIZE Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_SIZE_4KB (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID4_RESETVAL (0x00000000u)

/* PERIPHID5 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID5_RESETVAL (0x00000000u)

/* PERIPHID6 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID6_RESETVAL (0x00000000u)

/* PERIPHID7 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID7_RESETVAL (0x00000000u)

/* PERIPHID0 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_PART_0_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_PART_0_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_PART_0_RESETVAL (0x00000000u)
/*----PART_0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_PART_0_CTIPART NUMBER[7:0] (0x00000006u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID0_RESETVAL (0x00000000u)

/* PERIPHID1 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_PART_1_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_PART_1_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_PART_1_RESETVAL (0x00000000u)
/*----PART_1 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_PART_1_CTIPART NUMBER[11:8] (0x00000009u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_DES_0_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_DES_0_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_DES_0_RESETVAL (0x00000000u)
/*----DES_0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_DES_0_ARMJEP106 IDENTITY CODE[3:0] (0x0000000bu)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID1_RESETVAL (0x00000000u)

/* PERIPHID2 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_DES_1_MASK (0x00000007u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_DES_1_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_DES_1_RESETVAL (0x00000000u)
/*----DES_1 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_DES_1_ARMJEP106 IDENTITY CODE[6:4] (0x00000003u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEDEC_MASK (0x00000008u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEDEC_SHIFT (0x00000003u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEDEC_RESETVAL (0x00000000u)
/*----JEDEC Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_JEDEC_JEDECIDENTITY (0x00000001u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_REVISION_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_REVISION_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_REVISION_RESETVAL (0x00000000u)
/*----REVISION Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_REVISION_R0P3 (0x00000003u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID2_RESETVAL (0x00000000u)

/* PERIPHID3 */

#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_REVAND_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_REVAND_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_REVAND_RESETVAL (0x00000000u)
/*----REVAND Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_REVAND_NOMODIFICATION (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_CMOD_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_CMOD_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_CMOD_RESETVAL (0x00000000u)
/*----CMOD Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_CMOD_NOMODIFICATION (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_PERIPHID3_RESETVAL (0x00000000u)

/* COMPID0 */

#define CSL_CT_TRACECELL_TETRIS_COMPID0_PRMBL_0_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_COMPID0_PRMBL_0_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_COMPID0_PRMBL_0_RESETVAL (0x00000000u)
/*----PRMBL_0 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID0_PRMBL_0_0D (0x0000000du)

#define CSL_CT_TRACECELL_TETRIS_COMPID0_RESETVAL (0x00000000u)

/* COMPID1 */

#define CSL_CT_TRACECELL_TETRIS_COMPID1_CLASS_MASK (0x000000F0u)
#define CSL_CT_TRACECELL_TETRIS_COMPID1_CLASS_SHIFT (0x00000004u)
#define CSL_CT_TRACECELL_TETRIS_COMPID1_CLASS_RESETVAL (0x00000000u)
/*----CLASS Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID1_CLASS_CORESIGHTCOMPONENT (0x00000009u)

#define CSL_CT_TRACECELL_TETRIS_COMPID1_PRMBL_1_MASK (0x0000000Fu)
#define CSL_CT_TRACECELL_TETRIS_COMPID1_PRMBL_1_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_COMPID1_PRMBL_1_RESETVAL (0x00000000u)
/*----PRMBL_1 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID1_PRMBL_1_0 (0x00000000u)

#define CSL_CT_TRACECELL_TETRIS_COMPID1_RESETVAL (0x00000000u)

/* COMPID2 */

#define CSL_CT_TRACECELL_TETRIS_COMPID2_PRMBL_2_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_COMPID2_PRMBL_2_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_COMPID2_PRMBL_2_RESETVAL (0x00000000u)
/*----PRMBL_2 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID2_PRMBL_2_05 (0x00000005u)

#define CSL_CT_TRACECELL_TETRIS_COMPID2_RESETVAL (0x00000000u)

/* COMPID3 */

#define CSL_CT_TRACECELL_TETRIS_COMPID3_PRMBL_3_MASK (0x000000FFu)
#define CSL_CT_TRACECELL_TETRIS_COMPID3_PRMBL_3_SHIFT (0x00000000u)
#define CSL_CT_TRACECELL_TETRIS_COMPID3_PRMBL_3_RESETVAL (0x00000000u)
/*----PRMBL_3 Tokens----*/
#define CSL_CT_TRACECELL_TETRIS_COMPID3_PRMBL_3_B1 (0x000000b1u)

#define CSL_CT_TRACECELL_TETRIS_COMPID3_RESETVAL (0x00000000u)

#endif
