/********************************************************************
* Copyright (C) 2003-2008 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************
* file: cslr_tetris_vbusp.h
*
* Brief: This file contains the Register Description for tetris_vbusp
*
*********************************************************************/
#ifndef _CSLR_TETRIS_VBUSP_0_H_
#define _CSLR_TETRIS_VBUSP_0_H_


#include <ti/csl/cslr.h>
#include <ti/csl/tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 TETRIS_PID;
    volatile Uint32 TETRIS_INTC_PID;
    volatile Uint8 RSVD0[1016];
    volatile Uint32 PD_CPU0_PTCMD;
    volatile Uint32 PD_CPU0_PDSTAT;
    volatile Uint32 PD_CPU0_PDCTL;
    volatile Uint32 PD_CPU1_PTCMD;
    volatile Uint32 PD_CPU1_PDSTAT;
    volatile Uint32 PD_CPU1_PDCTL;
    volatile Uint32 PD_CPU2_PTCMD;
    volatile Uint32 PD_CPU2_PDSTAT;
    volatile Uint32 PD_CPU2_PDCTL;
    volatile Uint32 PD_CPU3_PTCMD;
    volatile Uint32 PD_CPU3_PDSTAT;
    volatile Uint32 PD_CPU3_PDCTL;
} CSL_Tetris_vbuspRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* TETRIS_PID */

#define CSL_TETRIS_VBUSP_TETRIS_PID_PID_MASK (0xFFFFFFFFu)
#define CSL_TETRIS_VBUSP_TETRIS_PID_PID_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_TETRIS_PID_PID_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_TETRIS_PID_RESETVAL (0x00000000u)

/* TETRIS_INTC_PID */

#define CSL_TETRIS_VBUSP_TETRIS_INTC_PID_PID_MASK (0xFFFFFFFFu)
#define CSL_TETRIS_VBUSP_TETRIS_INTC_PID_PID_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_TETRIS_INTC_PID_PID_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_TETRIS_INTC_PID_RESETVAL (0x00000000u)

/* PD_CPU0_PTCMD */

#define CSL_TETRIS_VBUSP_PD_CPU0_PTCMD_GO_CPU_MASK (0x00000001u)
#define CSL_TETRIS_VBUSP_PD_CPU0_PTCMD_GO_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU0_PTCMD_GO_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU0_PTCMD_RESETVAL (0x00000000u)

/* PD_CPU0_PDSTAT */

#define CSL_TETRIS_VBUSP_PD_CPU0_PDSTAT_NEXT_CPU_MASK (0x00000003u)
#define CSL_TETRIS_VBUSP_PD_CPU0_PDSTAT_NEXT_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU0_PDSTAT_NEXT_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU0_PDSTAT_DOMAIN_STATE_MASK (0x00070000u)
#define CSL_TETRIS_VBUSP_PD_CPU0_PDSTAT_DOMAIN_STATE_SHIFT (0x00000010u)
#define CSL_TETRIS_VBUSP_PD_CPU0_PDSTAT_DOMAIN_STATE_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU0_PDSTAT_RESETVAL (0x00000000u)

/* PD_CPU0_PDCTL */

#define CSL_TETRIS_VBUSP_PD_CPU0_PDCTL_NEXT_CPU_MASK (0x00000003u)
#define CSL_TETRIS_VBUSP_PD_CPU0_PDCTL_NEXT_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU0_PDCTL_NEXT_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU0_PDCTL_RESETVAL (0x00000000u)

/* PD_CPU1_PTCMD */

#define CSL_TETRIS_VBUSP_PD_CPU1_PTCMD_GO_CPU_MASK (0x00000001u)
#define CSL_TETRIS_VBUSP_PD_CPU1_PTCMD_GO_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU1_PTCMD_GO_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU1_PTCMD_RESETVAL (0x00000000u)

/* PD_CPU1_PDSTAT */

#define CSL_TETRIS_VBUSP_PD_CPU1_PDSTAT_NEXT_CPU_MASK (0x00000003u)
#define CSL_TETRIS_VBUSP_PD_CPU1_PDSTAT_NEXT_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU1_PDSTAT_NEXT_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU1_PDSTAT_DOMAIN_STATE_MASK (0x00070000u)
#define CSL_TETRIS_VBUSP_PD_CPU1_PDSTAT_DOMAIN_STATE_SHIFT (0x00000010u)
#define CSL_TETRIS_VBUSP_PD_CPU1_PDSTAT_DOMAIN_STATE_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU1_PDSTAT_RESETVAL (0x00000000u)

/* PD_CPU1_PDCTL */

#define CSL_TETRIS_VBUSP_PD_CPU1_PDCTL_NEXT_CPU_MASK (0x00000003u)
#define CSL_TETRIS_VBUSP_PD_CPU1_PDCTL_NEXT_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU1_PDCTL_NEXT_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU1_PDCTL_RESETVAL (0x00000000u)

/* PD_CPU2_PTCMD */

#define CSL_TETRIS_VBUSP_PD_CPU2_PTCMD_GO_CPU_MASK (0x00000001u)
#define CSL_TETRIS_VBUSP_PD_CPU2_PTCMD_GO_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU2_PTCMD_GO_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU2_PTCMD_RESETVAL (0x00000000u)

/* PD_CPU2_PDSTAT */

#define CSL_TETRIS_VBUSP_PD_CPU2_PDSTAT_NEXT_CPU_MASK (0x00000003u)
#define CSL_TETRIS_VBUSP_PD_CPU2_PDSTAT_NEXT_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU2_PDSTAT_NEXT_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU2_PDSTAT_DOMAIN_STATE_MASK (0x00070000u)
#define CSL_TETRIS_VBUSP_PD_CPU2_PDSTAT_DOMAIN_STATE_SHIFT (0x00000010u)
#define CSL_TETRIS_VBUSP_PD_CPU2_PDSTAT_DOMAIN_STATE_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU2_PDSTAT_RESETVAL (0x00000000u)

/* PD_CPU2_PDCTL */

#define CSL_TETRIS_VBUSP_PD_CPU2_PDCTL_NEXT_CPU_MASK (0x00000003u)
#define CSL_TETRIS_VBUSP_PD_CPU2_PDCTL_NEXT_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU2_PDCTL_NEXT_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU2_PDCTL_RESETVAL (0x00000000u)

/* PD_CPU3_PTCMD */

#define CSL_TETRIS_VBUSP_PD_CPU3_PTCMD_GO_CPU_MASK (0x00000001u)
#define CSL_TETRIS_VBUSP_PD_CPU3_PTCMD_GO_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU3_PTCMD_GO_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU3_PTCMD_RESETVAL (0x00000000u)

/* PD_CPU3_PDSTAT */

#define CSL_TETRIS_VBUSP_PD_CPU3_PDSTAT_NEXT_CPU_MASK (0x00000003u)
#define CSL_TETRIS_VBUSP_PD_CPU3_PDSTAT_NEXT_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU3_PDSTAT_NEXT_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU3_PDSTAT_DOMAIN_STATE_MASK (0x00070000u)
#define CSL_TETRIS_VBUSP_PD_CPU3_PDSTAT_DOMAIN_STATE_SHIFT (0x00000010u)
#define CSL_TETRIS_VBUSP_PD_CPU3_PDSTAT_DOMAIN_STATE_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU3_PDSTAT_RESETVAL (0x00000000u)

/* PD_CPU3_PDCTL */

#define CSL_TETRIS_VBUSP_PD_CPU3_PDCTL_NEXT_CPU_MASK (0x00000003u)
#define CSL_TETRIS_VBUSP_PD_CPU3_PDCTL_NEXT_CPU_SHIFT (0x00000000u)
#define CSL_TETRIS_VBUSP_PD_CPU3_PDCTL_NEXT_CPU_RESETVAL (0x00000000u)

#define CSL_TETRIS_VBUSP_PD_CPU3_PDCTL_RESETVAL (0x00000000u)

#endif
