/********************************************************************
* Copyright (C) 2012-2013 Texas Instruments Incorporated.
* All Rights Reserved
*********************************************************************
* file: cslr_pdsp.h
*
* Brief: This file contains the Register Description for PA Packet 
*        Processing Unit (PPU)   
*
*********************************************************************/
#ifndef _CSLR_PA_PPU_H_
#define _CSLR_PA_PPU_H_

#include <ti/csl/cslr.h>

#include <ti/csl/tistdtypes.h>
#include <ti/csl/cslr_cp_timer16.h>
#include "cslr_pa_lut1.h"
#include "cslr_pa_lut2.h"
#include "cslr_pa_pcheck.h"
#include "cslr_pa_pdsp.h"

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    CSL_Pa_pdspControl_statusRegs PDSP_CONTROL_STATUS;
    volatile Uint8 RSVD0[0x400 - sizeof(CSL_Pa_pdspControl_statusRegs)]; 
    CSL_Pa_pdspDebugRegs PDSP_DEBUG;
    volatile Uint8 RSVD1[0x400 - sizeof(CSL_Pa_pdspDebugRegs)];
    CSL_Cp_timer16Regs CP_TIMER;
    volatile Uint8 RSVD2[0x800 - sizeof(CSL_Cp_timer16Regs)];
    CSL_Pa_lut1Regs  LUT1;  
    volatile Uint8 RSVD3[0x400 - sizeof(CSL_Pa_lut1Regs)];
    CSL_Pa_lut2Regs  LUT2;  
    volatile Uint8 RSVD4[0x800 - sizeof(CSL_Pa_lut2Regs)];
    CSL_Pa_pcheckRegs PCHECK;
    volatile Uint8 RSVD5[0x2400 - sizeof(CSL_Pa_pcheckRegs)];
    volatile Uint32 PDSP_IRAM[0xC00];
} CSL_Pa_ppuRegs;

#endif
