/******************************************************************************
 * FILE PURPOSE: PASS Firmware Image  
 ******************************************************************************
 * FILE NAME:   pa15_xxx_pdspx_bin.c
 *
 * DESCRIPTION: PA 1.5 PDSP image
 *
 * REVISION HISTORY:
 *
 *  Copyright (c) Texas Instruments Incorporated 2012-2013
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include <ti/drv/pa/fw/pafw.h>



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const uint32_t in4_pdsp1[] =  {
     0x21000300,
     0xbabe0401,
     0x03000100,
     0x2300e79e,
     0x2eff8582,
     0x8104a482,
     0x240001e2,
     0x81002482,
     0xc900ff00,
     0xd100ff00,
     0x2eff819d,
     0x2400073d,
     0x8100175d,
     0x24010082,
     0x240300c2,
     0x81043782,
     0xc904ff00,
     0x91002481,
     0x0101e1e1,
     0x81002481,
     0x2e808f86,
     0x2e84098e,
     0xc90fca04,
     0x24001004,
     0x2f000384,
     0x21007600,
     0x2480169f,
     0x24000804,
     0x2f000384,
     0x24003104,
     0x24002024,
     0x2f000384,
     0x2e808b96,
     0x6900c905,
     0x11033737,
     0x132c3737,
     0x24801d9f,
     0x21007000,
     0xc905b602,
     0x2100f600,
     0x0b057601,
     0x51000105,
     0x530401dc,
     0x24801c9f,
     0x1f060e0e,
     0x21007600,
     0x113f1703,
     0x51160302,
     0x11033737,
     0x24000d04,
     0x2f000384,
     0x24000004,
     0x101616c4,
     0x2f000384,
     0x240000de,
     0x2f05098e,
     0x690b0302,
     0x24001503,
     0x71100302,
     0x71160306,
     0x2400109e,
     0x1038387b,
     0xc907ff00,
     0x83206796,
     0x21005900,
     0x4816d705,
     0x11033737,
     0x13143737,
     0x240002de,
     0x21004c00,
     0x09010300,
     0x90001580,
     0x22c0009e,
     0x5700def8,
     0x11c01717,
     0x12031717,
     0x2e85098e,
     0xc907ff00,
     0x83206796,
     0x6901de05,
     0xd10bff00,
     0x2400109e,
     0xd10cff03,
     0x21005900,
     0x21007000,
     0x2e838786,
     0x24801c83,
     0x2400109e,
     0x21031100,
     0x2e838786,
     0xc90d9908,
     0x11033737,
     0x13783737,
     0x2401e081,
     0x9081f486,
     0x51066603,
     0x812607d7,
     0x21007300,
     0xd10fb605,
     0x11033737,
     0x13183737,
     0x812607d7,
     0x21007000,
     0x0b0ad941,
     0x10d9d981,
     0x11032121,
     0x09068181,
     0x09024141,
     0x90413882,
     0xf081e286,
     0x24801c83,
     0x21031100,
     0x0b0237de,
     0x0904dede,
     0x90def486,
     0x24801c83,
     0x2400109e,
     0x21031100,
     0xd106ff00,
     0x9110078a,
     0x24002004,
     0x24000024,
     0x1d0fcaca,
     0xc9060e03,
     0x1f070e0e,
     0x24002104,
     0x8110078a,
     0x2f04898e,
     0x2f000384,
     0x21001000,
     0x24000c86,
     0x2f0080c6,
     0x21023e00,
     0xc90aff04,
     0x24000a86,
     0x2f0080c6,
     0x21023e00,
     0x590c8004,
     0x24001086,
     0x2f0080c6,
     0x21023e00,
     0x2e80858a,
     0xd1002a06,
     0x0101dddd,
     0x24200081,
     0x7081dd03,
     0x24000886,
     0x21009500,
     0x24000086,
     0x2f0080c6,
     0x24000004,
     0x24001cc4,
     0x2f000384,
     0x2e80898e,
     0x10f2f2e3,
     0x24000012,
     0x004a0a32,
     0x10ececf3,
     0x108b8bd2,
     0x51006a0a,
     0x61104a05,
     0x240012d9,
     0x1f047b7b,
     0x1d057b7b,
     0x21023e00,
     0x09044a81,
     0x01018181,
     0x90811001,
     0x12617373,
     0xc9012a02,
     0x1f001d1d,
     0x2eff8194,
     0x2400c074,
     0x8320ab8e,
     0xc9022a18,
     0x91b4338d,
     0x81142783,
     0x2e85098e,
     0x9110078a,
     0x1d0fcaca,
     0x8110078a,
     0x24008001,
     0x81200761,
     0x24000464,
     0x102d2d05,
     0x24602084,
     0x8112078d,
     0x2f000384,
     0x2400002e,
     0x2f04898e,
     0x91082481,
     0x0101e1e1,
     0x81082481,
     0x240001e1,
     0x81042481,
     0xd10aff00,
     0xd101ff00,
     0x21001000,
     0x21023e00,
     0xc90aff04,
     0x24000a86,
     0x2f0080c6,
     0x21023e00,
     0x6900dd04,
     0x24000986,
     0x2f0080c6,
     0x2100d200,
     0x24000086,
     0x2f0080c6,
     0x0501dddd,
     0x2e80858a,
     0x24000012,
     0x004a0a32,
     0x10ececf3,
     0x108b8bd2,
     0x2eff8194,
     0x24008074,
     0x51006a0a,
     0x71104a04,
     0x24001286,
     0x2f0080c6,
     0x21023e00,
     0x09044a81,
     0x01018181,
     0x90811001,
     0x12617373,
     0x2100e500,
     0xc9012a02,
     0x1d001d1d,
     0x8130ab92,
     0x21023e00,
     0x240001e3,
     0x81042b83,
     0x24010e90,
     0x24014fd1,
     0x24017c91,
     0x24019ad2,
     0x2401fb92,
     0x2401d5d3,
     0x8500f588,
     0x2eff9f80,
     0x8700f080,
     0x8740f080,
     0x8780f080,
     0x87c0f080,
     0x209e0000,
     0x2e808394,
     0x24000d04,
     0x2f000384,
     0x24000004,
     0x048fd5c4,
     0x2f000384,
     0x10f4f4e6,
     0x10353500,
     0x2f00be06,
     0x50f2f405,
     0xc907ff00,
     0x91090761,
     0x1f020101,
     0x81090761,
     0x1d05b6b6,
     0x1038387b,
     0x83206796,
     0x1d020e0e,
     0x24004024,
     0x24001864,
     0x24002004,
     0x2f04898e,
     0x2f000384,
     0x21001000,
     0x1f0b9999,
     0x10161658,
     0x2e808586,
     0x51008709,
     0x00c7dbdb,
     0x0311dbdb,
     0x02cfdbc5,
     0x0300c5c5,
     0x048fc7c4,
     0x24000024,
     0x24005204,
     0x2f000384,
     0x00c71680,
     0x70d78005,
     0x240002de,
     0x11033737,
     0x13143737,
     0x209e0000,
     0x108080d7,
     0x01081616,
     0x1038387b,
     0x10161638,
     0x2480179f,
     0xd1001d09,
     0x24086880,
     0x68808607,
     0x1f0d9999,
     0x24001403,
     0x24000004,
     0x240008c4,
     0x2f000384,
     0x209e0000,
     0xc9021d15,
     0x91ba13c0,
     0x50808602,
     0x6880c612,
     0x1f0f9999,
     0x24001003,
     0x11033737,
     0x240002de,
     0x710cc707,
     0x5100e804,
     0x13703737,
     0x24000a03,
     0x209e0000,
     0x136c3737,
     0x209e0000,
     0x6909c704,
     0x69ff6803,
     0x13683737,
     0x209e0000,
     0x13743737,
     0x209e0000,
     0x2eff8384,
     0x10868685,
     0x24008024,
     0xd102b603,
     0x10d9d9c4,
     0x21014c00,
     0x10dadac4,
     0x111f6464,
     0x1d02b6b6,
     0x2f030384,
     0x240001de,
     0x209e0000,
     0x1f0b9999,
     0x10161658,
     0x2e808386,
     0x04d71682,
     0x10c7c7c4,
     0x6900c702,
     0x108282c4,
     0x4882c422,
     0x6108c421,
     0x048fc4c4,
     0x0082dbdb,
     0x0388dbdb,
     0x02cfdbc5,
     0x0300c5c5,
     0x24000024,
     0x24005204,
     0x2f000384,
     0x01081616,
     0x1038387b,
     0x10161638,
     0x2480179f,
     0xd1001d08,
     0x24086880,
     0x68808606,
     0x24001403,
     0x24000004,
     0x240008c4,
     0x2f000384,
     0x209e0000,
     0x2eff8384,
     0x10868685,
     0x24008024,
     0xd102b603,
     0x10d9d9c4,
     0x21017500,
     0x10dadac4,
     0x111f6464,
     0x1d02b6b6,
     0x2f030384,
     0x240001de,
     0x209e0000,
     0x11033737,
     0x13243737,
     0x240002de,
     0x209e0000,
     0x1f0c9999,
     0x10161658,
     0x2e808986,
     0x2eff8384,
     0x10868685,
     0x24008024,
     0xd102b603,
     0x10d9d9c4,
     0x21018800,
     0x10dadac4,
     0x111f6464,
     0x1d02b6b6,
     0x2f030384,
     0x0416d7c4,
     0x048fc4c4,
     0x00c4dbdb,
     0x0306dbdb,
     0x02cfdbc5,
     0x0300c5c5,
     0x24000024,
     0x24005204,
     0x2f000384,
     0x0b046981,
     0x09028181,
     0x00811616,
     0x1038387b,
     0x10161638,
     0x240001de,
     0x2480189f,
     0x209e0000,
     0x1f0d9999,
     0x11033737,
     0x240002de,
     0x24001003,
     0x2e808786,
     0x11e06601,
     0x51200103,
     0x13543737,
     0x209e0000,
     0xd1046603,
     0x13543737,
     0x209e0000,
     0x69ff461e,
     0x24000821,
     0x11076601,
     0x51000109,
     0x01042121,
     0xc9026607,
     0x51000806,
     0x69c00826,
     0x69000925,
     0x01042121,
     0x1f03b6b6,
     0x813807a9,
     0x00211616,
     0x24000004,
     0x102121c4,
     0x2f000384,
     0x2eff8384,
     0x10d9d9c4,
     0x10c7c7c5,
     0x10878785,
     0x24004024,
     0xd102b603,
     0x10d9d9c4,
     0x2101c100,
     0x10dadac4,
     0x111f6464,
     0x1d02b6b6,
     0x2f030384,
     0x240001de,
     0x209e0000,
     0x69014603,
     0x13403737,
     0x209e0000,
     0x69024603,
     0x13443737,
     0x209e0000,
     0x691a4603,
     0x13483737,
     0x209e0000,
     0x691f4603,
     0x134c3737,
     0x209e0000,
     0x69fe4603,
     0x13503737,
     0x209e0000,
     0x13543737,
     0x209e0000,
     0x1f0e9999,
     0x0b023701,
     0x09040181,
     0x01008181,
     0x9081f08e,
     0x000e1616,
     0x1038387b,
     0x01206e24,
     0x24000081,
     0x24000004,
     0x2eff8384,
     0x0481cfc4,
     0x00c48181,
     0x2f000384,
     0x2e808006,
     0x10716665,
     0x124e6565,
     0x04818fc4,
     0x00c48181,
     0x2f000384,
     0x2e808006,
     0x10516645,
     0x0481d0c4,
     0x00c48181,
     0x2f000384,
     0x2e808006,
     0x10316625,
     0x048190c4,
     0x00c48181,
     0x2f000384,
     0x2e808006,
     0x10116605,
     0x10d9d9c4,
     0x01206e24,
     0x2f030384,
     0x240001de,
     0x2480199f,
     0x209e0000,
     0x2e85098e,
     0x0136d7c0,
     0x048fc0c0,
     0xd106ff00,
     0x90c006c0,
     0x0420d7d7,
     0x0502d7d7,
     0x90001261,
     0x113f0103,
     0x240000de,
     0x209e0000,
     0x2eff8b96,
     0x05108980,
     0x24000d04,
     0x2f000384,
     0x2e808986,
     0xc907ff00,
     0x10e9e9fa,
     0x51ce0703,
     0x1f077b7b,
     0x21023e00,
     0x51006602,
     0x21023e00,
     0x51004606,
     0x05014646,
     0x2f008026,
     0x2400045b,
     0x1f057b7b,
     0x21023e00,
     0x81182788,
     0x2f05098e,
     0x1f067b7b,
     0x69642711,
     0x1f037b7b,
     0x24000004,
     0x5100c705,
     0x0510c7c4,
     0x2f000384,
     0x2e80818a,
     0x04c48080,
     0x240004c4,
     0x2f000384,
     0x05048080,
     0x106a6a27,
     0x51004a05,
     0x104a4a99,
     0x2400045b,
     0x1f057b7b,
     0x1f047b7b,
     0x5101270e,
     0x5102270e,
     0x5103270e,
     0x5104270e,
     0x510627dc,
     0x510c278a,
     0x510a27de,
     0x510827da,
     0x510b27da,
     0x510927da,
     0x5105273e,
     0x24000286,
     0x2f0080c6,
     0x21023e00,
     0x21008200,
     0x21008200,
     0x21008500,
     0x2100c700,
     0xc9067b02,
     0x2e85098e,
     0xc9047b08,
     0x240010e4,
     0x2f000184,
     0x24004304,
     0x240002c4,
     0x24000424,
     0x10f9f9e5,
     0x2f000384,
     0x24002004,
     0x24004024,
     0x105b5b64,
     0x2400002e,
     0xc9077b06,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x1f060e0e,
     0x21026800,
     0xc9057b04,
     0x24008000,
     0x81200760,
     0x21025900,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x91082481,
     0x0101e1e1,
     0x81082481,
     0x51003a03,
     0x1f060e0e,
     0x21026800,
     0x8112079a,
     0x101a1a05,
     0x13202424,
     0x2f04898e,
     0x9110078a,
     0x1d0fcaca,
     0x8110078a,
     0x2f000384,
     0x21001000,
     0x910c2481,
     0x0101e1e1,
     0x810c2481,
     0x9110078a,
     0x1d0fcaca,
     0xc9060e03,
     0x1f070e0e,
     0x24002104,
     0x8110078a,
     0x2f04898e,
     0x2f000384,
     0x21001000,
     0x59348004,
     0x24001086,
     0x2f0080c6,
     0x21023e00,
     0x24000086,
     0x2f0080c6,
     0x2e80878a,
     0x24000004,
     0x240020c4,
     0x2f000384,
     0x2e808f8e,
     0x24ff00c2,
     0xc900ca02,
     0x81a0338b,
     0xc901ca05,
     0x81a4338c,
     0x24000161,
     0x24002082,
     0xe1042281,
     0xc902ca05,
     0x81a8338d,
     0x24000161,
     0x24006082,
     0xe1042281,
     0xc903ca02,
     0x81ac338e,
     0xc904ca02,
     0x81b0338f,
     0xc905ca02,
     0x81b43390,
     0xc906ca15,
     0x81bc3392,
     0x240100c1,
     0x24000081,
     0xc9007102,
     0x1f070101,
     0xc9027102,
     0x1f060101,
     0x24000082,
     0xe10c2281,
     0x24000081,
     0xc9017102,
     0x1f070101,
     0xc9037102,
     0x1f060101,
     0xc9047102,
     0x1f050101,
     0x24002082,
     0xe10c2281,
     0x24006082,
     0xe10c2281,
     0xc907ca02,
     0x81c03393,
     0xc908ca02,
     0x81c43394,
     0xc909ca06,
     0x240200c1,
     0x10757501,
     0x10555521,
     0x24001082,
     0xe10c2281,
     0xc90aca09,
     0x240020c4,
     0x2f000184,
     0x2e80818e,
     0x240200c1,
     0x106e6e01,
     0x104e4e21,
     0x24005082,
     0xe10c2281,
     0x21023e00,
     0x24000086,
     0x2f0080c6,
     0x2e80838a,
     0x24000004,
     0x69006a09,
     0x2401e8c0,
     0x58c08004,
     0x24001086,
     0x2f0080c6,
     0x21023e00,
     0x240018c4,
     0x2f000384,
     0x21030200,
     0x240014c4,
     0x2f000384,
     0x69016a13,
     0x592c8002,
     0x2102ff00,
     0x2e80838e,
     0x71046e04,
     0x240011d9,
     0x1f047b7b,
     0x21023e00,
     0x09056e81,
     0x09036ec1,
     0x00c18181,
     0x01008181,
     0x8081738e,
     0x240008c4,
     0x2f000384,
     0x2e808f8e,
     0x01088181,
     0x8281f38e,
     0x21023e00,
     0x69026a0c,
     0x59148002,
     0x2102ff00,
     0x2e80878e,
     0x71106e04,
     0x240012d9,
     0x1f047b7b,
     0x21023e00,
     0x09046e81,
     0x01008181,
     0x8081f08e,
     0x21023e00,
     0x69046a09,
     0x59088002,
     0x2102ff00,
     0x2e80818e,
     0x1d021d1d,
     0xc9006e02,
     0x1f021d1d,
     0x81b8338e,
     0x21023e00,
     0x69056a0a,
     0x59088004,
     0x24001086,
     0x1f047b7b,
     0x21023e00,
     0x2e80818e,
     0x1d011d1d,
     0xc9006e02,
     0x1f011d1d,
     0x21023e00,
     0x240002d9,
     0x1f047b7b,
     0x21023e00,
     0x240010d9,
     0x1f047b7b,
     0x21023e00,
     0x240000e1,
     0x240010c4,
     0x2e80878e,
     0x2f000384,
     0xc801eb02,
     0x80c1f48e,
     0x01010101,
     0x0110c1c1,
     0x671f01fa,
     0x21023e00,
     0x21023e00,
     0x21023e00,
     0x21023e00,
     0x21023e00,
     0x21023e00,
     0xc907ff00,
     0x911007ca,
     0x1d0f8a8a,
     0x811007ca,
     0x10d7d794,
     0x24000f42,
     0x69026618,
     0x5100470c,
     0x912607c1,
     0x11032121,
     0x09022741,
     0x12412121,
     0x11c00101,
     0x51014703,
     0x24001641,
     0x21032200,
     0x24000d41,
     0x12410101,
     0x812607c1,
     0xc9000704,
     0x912107b6,
     0x1f01b6b6,
     0x812107b6,
     0x1067672e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x510369a1,
     0x209e0000,
     0x6900663a,
     0x81182787,
     0x51000808,
     0x91090762,
     0x110f0202,
     0x11c00800,
     0x12000202,
     0x81090762,
     0x111f0800,
     0x81110760,
     0xc9076809,
     0x0b069722,
     0x110f2222,
     0x5100220d,
     0x05012222,
     0x00228686,
     0xc901680a,
     0x00224646,
     0x21034900,
     0xc9026804,
     0x0b057a02,
     0x00028686,
     0x24000042,
     0xc9016803,
     0x003a8686,
     0x24000042,
     0x2400002e,
     0x51016976,
     0x51046975,
     0x69026907,
     0x10494924,
     0x24003004,
     0x108989c5,
     0x2f000384,
     0x0049d7d7,
     0x81240797,
     0xd1006809,
     0x2f04898e,
     0x24e020e4,
     0x24001864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x51036974,
     0x209e0000,
     0x13a07676,
     0x1f07b6b6,
     0x11033737,
     0x09024803,
     0x12033737,
     0x81206796,
     0x24000f2e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x51036967,
     0x209e0000,
     0x110f6602,
     0x69010206,
     0xd1076603,
     0x2400002e,
     0x21037200,
     0x2400012e,
     0x21037200,
     0x69050214,
     0x1046462e,
     0x81186787,
     0x5101694d,
     0x5104694c,
     0x69026907,
     0x10494924,
     0x24003004,
     0x108989c5,
     0x2f000384,
     0x0049d7d7,
     0x81240797,
     0x2f04898e,
     0x24e020e4,
     0x24001864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x5103694c,
     0x209e0000,
     0x6904660f,
     0x81206787,
     0x91080762,
     0x11070202,
     0x09036922,
     0x12220202,
     0x81080762,
     0x2400002e,
     0x2f04898e,
     0x24e020e4,
     0x24000864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x209e0000,
     0x69036611,
     0x91090762,
     0x110f0202,
     0x11c06700,
     0x12000202,
     0x81090762,
     0x111f6700,
     0x81110760,
     0x240000e0,
     0x81142780,
     0x0102472e,
     0x2f04898e,
     0x244020e4,
     0x24000064,
     0x2f000384,
     0x5103692c,
     0x209e0000,
     0x69076613,
     0x2400a076,
     0x24000056,
     0xc9006702,
     0x1f0fb6b6,
     0x09044736,
     0x10e8e8f9,
     0x24000037,
     0x107b7b17,
     0x69001702,
     0x10787817,
     0x8120e796,
     0x2400102e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x51036919,
     0x209e0000,
     0x51066602,
     0x2480159f,
     0x1083839f,
     0x24002104,
     0x1f070e0e,
     0x2f04898e,
     0x2f000384,
     0x51036910,
     0x209e0000,
     0x13a07676,
     0x1f06b6b6,
     0x81202716,
     0x81340729,
     0x8135074e,
     0x810b0726,
     0x811207c6,
     0x1042422e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x51046902,
     0x209e0000,
     0x108989d4,
     0x91001993,
     0x01045301,
     0x111f0101,
     0x68017303,
     0x2480159f,
     0x209e0000,
     0x011053c1,
     0x80c13994,
     0x81011961,
     0x209e0000 };

const int in4_pdsp1Size = sizeof(in4_pdsp1);
