/******************************************************************************
 * FILE PURPOSE: PASS Firmware Image  
 ******************************************************************************
 * FILE NAME:   pa15_xxx_pdspx_bin.c
 *
 * DESCRIPTION: PA 1.5 PDSP image
 *
 * REVISION HISTORY:
 *
 *  Copyright (c) Texas Instruments Incorporated 2012-2013
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include <ti/drv/pa/fw/pafw.h>



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const uint32_t post_pdsp1[] =  {
     0x21000300,
     0xbabe0501,
     0x03000100,
     0x2302bc9e,
     0x2eff8582,
     0x8104a482,
     0x240001e2,
     0x81002482,
     0xc900ff00,
     0xd100ff00,
     0x2400097d,
     0x2400005d,
     0x24010082,
     0x240300c2,
     0x81043782,
     0x2eff8780,
     0x8110f780,
     0xc904ff00,
     0x91002481,
     0x0101e1e1,
     0x81002481,
     0x2eff8394,
     0x2eff80dd,
     0x2e808f86,
     0x2e84098e,
     0xc90fca04,
     0x24001004,
     0x2f000384,
     0x21003300,
     0x008f8994,
     0x6900c908,
     0x2400b0de,
     0x90def486,
     0x24801e83,
     0x2400119e,
     0x24001004,
     0x2f000384,
     0x2101fc00,
     0x24000804,
     0x2f000384,
     0x24003104,
     0x24002024,
     0x2f000384,
     0x2f05098e,
     0x2e808b96,
     0x0b057601,
     0x51050138,
     0x51040103,
     0x1f060e0e,
     0x21003300,
     0x21006500,
     0xd106ff00,
     0x9110e78a,
     0x2eff8384,
     0x24002004,
     0x24004024,
     0x1d0fcaca,
     0xc9060e07,
     0x1f070e0e,
     0x24002104,
     0x2f04898e,
     0x8110078a,
     0x2f000384,
     0x21001100,
     0xc90eca1b,
     0x1d0ecaca,
     0x8110078a,
     0x24002204,
     0x2f000384,
     0x91082380,
     0x24ffffc0,
     0x0480c080,
     0x91f03381,
     0x108181c0,
     0x1d000e0e,
     0x2f04898e,
     0xc904ff00,
     0x1f000e0e,
     0x2400002e,
     0x2eff8384,
     0x24002004,
     0x2400e024,
     0x108b8bc5,
     0x104b4b05,
     0x10e0e0eb,
     0x10ededec,
     0x10c1c1ed,
     0x2f00878a,
     0x2f000384,
     0x2f04898e,
     0x21001100,
     0x2f04898e,
     0x8110078a,
     0x2f000384,
     0x21001100,
     0x2eff8384,
     0x24002004,
     0x24004024,
     0x2f04898e,
     0x2f000384,
     0x21001100,
     0x2100b000,
     0x2400119e,
     0xc907b602,
     0x2101cf00,
     0xd105b603,
     0xd104b61b,
     0x21003000,
     0x910015c3,
     0x011023c3,
     0x90c3758c,
     0x01082323,
     0x111f2323,
     0x810015c3,
     0x50f2ec05,
     0xc907ff00,
     0x91090761,
     0x1f010101,
     0x81090761,
     0x1d05b6b6,
     0x2f0080b6,
     0x1d020e0e,
     0x911007c0,
     0x1d0f8080,
     0x811007c0,
     0xd104b608,
     0x2400002e,
     0x24004024,
     0x24000064,
     0x24002004,
     0x2f000384,
     0x2f04898e,
     0x209e0000,
     0x1d04b6b6,
     0x2f0080b6,
     0x1d000e0e,
     0x910016c3,
     0x011023c3,
     0x90c3368b,
     0x01042323,
     0x111f2323,
     0x810016c3,
     0x24000c04,
     0x2f000384,
     0x24000004,
     0x106b6bc4,
     0x2f000384,
     0x24001104,
     0x2f000184,
     0x2eff8384,
     0x24004024,
     0x24000064,
     0x24002204,
     0x2f000384,
     0x10cece82,
     0x108f8fc2,
     0x106b6bce,
     0x2400008f,
     0x2f04898e,
     0xc904ff00,
     0x1f000e0e,
     0x10c2c28f,
     0x046b82ce,
     0x24000c04,
     0x2f000384,
     0x24000104,
     0x106b6bc4,
     0x2f000384,
     0x2eff8384,
     0x2400a024,
     0x24002004,
     0x108b8bc5,
     0x104b4b05,
     0x2f000384,
     0x2f04898e,
     0x209e0000,
     0x2eff8b96,
     0x05108980,
     0x24000d04,
     0x2f000384,
     0x2e808986,
     0xc907ff00,
     0x10e9e9fa,
     0x51ce0703,
     0x1f077b7b,
     0x2100e800,
     0x51006602,
     0x2100e800,
     0x51004606,
     0x05014646,
     0x2f008026,
     0x2400045b,
     0x1f057b7b,
     0x2100e800,
     0x81182788,
     0x2f05098e,
     0x1f067b7b,
     0x69642711,
     0x1f037b7b,
     0x24000004,
     0x5100c705,
     0x0510c7c4,
     0x2f000384,
     0x2e80818a,
     0x04c48080,
     0x240004c4,
     0x2f000384,
     0x05048080,
     0x106a6a27,
     0x51004a05,
     0x104a4a99,
     0x2400045b,
     0x1f057b7b,
     0x1f047b7b,
     0x5101270e,
     0x5102270e,
     0x5103270e,
     0x5104270e,
     0x510627bd,
     0x510c278a,
     0x510a27f2,
     0x510827bb,
     0x510b27ee,
     0x510927ee,
     0x5105273e,
     0x24000286,
     0x2f0080c6,
     0x2100e800,
     0x2102b900,
     0x2102b900,
     0x2102b200,
     0x2102b900,
     0xc9067b02,
     0x2e85098e,
     0xc9047b08,
     0x240010e4,
     0x2f000184,
     0x24004304,
     0x240002c4,
     0x24000424,
     0x10f9f9e5,
     0x2f000384,
     0x24002004,
     0x24004024,
     0x105b5b64,
     0x2400002e,
     0xc9077b06,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x1f060e0e,
     0x21011200,
     0xc9057b04,
     0x24008000,
     0x81200760,
     0x21010300,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x91082481,
     0x0101e1e1,
     0x81082481,
     0x51003a03,
     0x1f060e0e,
     0x21011200,
     0x8112079a,
     0x101a1a05,
     0x13202424,
     0x2f04898e,
     0x9110078a,
     0x1d0fcaca,
     0x8110078a,
     0x2f000384,
     0x21001100,
     0x910c2481,
     0x0101e1e1,
     0x810c2481,
     0x9110078a,
     0x1d0fcaca,
     0xc9060e03,
     0x1f070e0e,
     0x24002104,
     0x8110078a,
     0x2f04898e,
     0x2f000384,
     0x21001100,
     0x59348004,
     0x24001086,
     0x2f0080c6,
     0x2100e800,
     0x24000086,
     0x2f0080c6,
     0x2e80878a,
     0x24000004,
     0x240020c4,
     0x2f000384,
     0x2e808f8e,
     0x24ff00c2,
     0xc900ca02,
     0x81a0338b,
     0xc901ca05,
     0x81a4338c,
     0x24000161,
     0x24002082,
     0xe1042281,
     0xc902ca05,
     0x81a8338d,
     0x24000161,
     0x24006082,
     0xe1042281,
     0xc903ca02,
     0x81ac338e,
     0xc904ca02,
     0x81b0338f,
     0xc905ca02,
     0x81b43390,
     0xc906ca15,
     0x81bc3392,
     0x240100c1,
     0x24000081,
     0xc9007102,
     0x1f070101,
     0xc9027102,
     0x1f060101,
     0x24000082,
     0xe10c2281,
     0x24000081,
     0xc9017102,
     0x1f070101,
     0xc9037102,
     0x1f060101,
     0xc9047102,
     0x1f050101,
     0x24002082,
     0xe10c2281,
     0x24006082,
     0xe10c2281,
     0xc907ca02,
     0x81c03393,
     0xc908ca02,
     0x81c43394,
     0xc909ca06,
     0x240200c1,
     0x10757501,
     0x10555521,
     0x24001082,
     0xe10c2281,
     0xc90aca09,
     0x240020c4,
     0x2f000184,
     0x2e80818e,
     0x240200c1,
     0x106e6e01,
     0x104e4e21,
     0x24005082,
     0xe10c2281,
     0x2100e800,
     0x24000086,
     0x2f0080c6,
     0x2e80838a,
     0x24000004,
     0x69006a09,
     0x2401e8c0,
     0x58c08004,
     0x24001086,
     0x2f0080c6,
     0x2100e800,
     0x240018c4,
     0x2f000384,
     0x21018d00,
     0x240014c4,
     0x2f000384,
     0x69016a13,
     0x592c8002,
     0x21018a00,
     0x2e80838e,
     0x71046e04,
     0x240011d9,
     0x1f047b7b,
     0x2100e800,
     0x09056e81,
     0x09036ec1,
     0x00c18181,
     0x01008181,
     0x8081738e,
     0x240008c4,
     0x2f000384,
     0x2e808f8e,
     0x01088181,
     0x8281f38e,
     0x2100e800,
     0x240002d9,
     0x1f047b7b,
     0x2100e800,
     0x240010d9,
     0x1f047b7b,
     0x2100e800,
     0x240000e1,
     0x240010c4,
     0x2e80878e,
     0x2f000384,
     0xc801eb02,
     0x80c1f48e,
     0x01010101,
     0x0110c1c1,
     0x671f01fa,
     0x2100e800,
     0x2100e800,
     0x240044c0,
     0x58c08004,
     0x24001086,
     0x2f0080c6,
     0x2100e800,
     0x2e80818a,
     0x71206a04,
     0x24000e86,
     0x2f0080c6,
     0x2100e800,
     0x2eff8f8e,
     0x09066ac2,
     0x69004a14,
     0x24000004,
     0x240014c4,
     0x2f000384,
     0x24002060,
     0x59042a02,
     0x09032a60,
     0x2e80bf8e,
     0x82c2f28e,
     0x2eff8f8e,
     0x0120c2c2,
     0x71042a07,
     0x24000004,
     0x240020c4,
     0x2f000384,
     0x05042a60,
     0x09036060,
     0x2e80bf8e,
     0x82c2f28e,
     0x2100e800,
     0x69014a05,
     0x82c2f28e,
     0x0120c2c2,
     0x82c2f28e,
     0x2100e800,
     0x69024a0c,
     0x24000004,
     0x240014c4,
     0x2f000384,
     0x2eff8384,
     0x24004024,
     0x24004704,
     0x24fff8c5,
     0x24200085,
     0x00c2e5e5,
     0x2f000384,
     0x2100e800,
     0x24000f86,
     0x2f0080c6,
     0x2100e800,
     0x2100e800,
     0x2100e800,
     0x2100e800,
     0x1d000e0e,
     0x10cece81,
     0x108f8fc1,
     0x2400002e,
     0x0b023700,
     0x11033737,
     0x111f7676,
     0x1d07b6b6,
     0x2f008396,
     0x090600c0,
     0x24000000,
     0x90c07294,
     0xd1077407,
     0x1f000e0e,
     0x1f070e0e,
     0x2f04898e,
     0x24002104,
     0x2f000384,
     0x209e0000,
     0xc9007407,
     0x24000c04,
     0x2f000384,
     0x24001104,
     0x2f000384,
     0x240000ce,
     0x2400008f,
     0xc9017403,
     0xd106ff00,
     0x81182795,
     0x2eff8384,
     0x2400e024,
     0x24002204,
     0x109494c5,
     0x10545405,
     0x2f000384,
     0x2f04898e,
     0x0108c0c0,
     0x01010000,
     0xc904ff00,
     0x24000804,
     0x2f000384,
     0x108181ce,
     0x10c1c18f,
     0x570800e2,
     0x2101da00,
     0xc907ff00,
     0x911007ca,
     0x1d0f8a8a,
     0x811007ca,
     0x10d7d794,
     0x24000f42,
     0x69026618,
     0x5100470c,
     0x912607c1,
     0x11032121,
     0x09022741,
     0x12412121,
     0x11c00101,
     0x51014703,
     0x24001641,
     0x21020d00,
     0x24000d41,
     0x12410101,
     0x812607c1,
     0xc9000704,
     0x912107b6,
     0x1f01b6b6,
     0x812107b6,
     0x1067672e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x5103698f,
     0x209e0000,
     0x6900663b,
     0x81182787,
     0x51000808,
     0x91090762,
     0x110f0202,
     0x11c00800,
     0x12000202,
     0x81090762,
     0x111f0800,
     0x81110760,
     0xc9076809,
     0x0b069722,
     0x110f2222,
     0x5100220d,
     0x05012222,
     0x00228686,
     0xc901680a,
     0x00224646,
     0x21023400,
     0xc9026804,
     0x0b057a02,
     0x00028686,
     0x24000042,
     0xc9016803,
     0x003a8686,
     0x24000042,
     0x81340758,
     0x2400002e,
     0x51016963,
     0x51046962,
     0x69026907,
     0x10494924,
     0x24003004,
     0x108989c5,
     0x2f000384,
     0x0049d7d7,
     0x81240797,
     0xd1006809,
     0x2f04898e,
     0x24e020e4,
     0x24001864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x51036961,
     0x209e0000,
     0x13a07676,
     0x1f07b6b6,
     0x11033737,
     0x09024803,
     0x12033737,
     0x81206796,
     0x24000f2e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x51036954,
     0x209e0000,
     0x110f6602,
     0x69010206,
     0xd1076603,
     0x2400002e,
     0x21025e00,
     0x2400012e,
     0x21025e00,
     0x69050214,
     0x1046462e,
     0x81186787,
     0x5101693a,
     0x51046939,
     0x69026907,
     0x10494924,
     0x24003004,
     0x108989c5,
     0x2f000384,
     0x0049d7d7,
     0x81240797,
     0x2f04898e,
     0x24e020e4,
     0x24001864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x51036939,
     0x209e0000,
     0x6904660f,
     0x81206787,
     0x91080762,
     0x11070202,
     0x09036922,
     0x12220202,
     0x81080762,
     0x2400002e,
     0x2f04898e,
     0x24e020e4,
     0x24000864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x209e0000,
     0x69036611,
     0x91090762,
     0x110f0202,
     0x11c06700,
     0x12000202,
     0x81090762,
     0x111f6700,
     0x81110760,
     0x240000e0,
     0x81142780,
     0x0102472e,
     0x2f04898e,
     0x244020e4,
     0x24000064,
     0x2f000384,
     0x51036919,
     0x209e0000,
     0x51066602,
     0x2480159f,
     0x1083839f,
     0x24002104,
     0x1f070e0e,
     0x2f04898e,
     0x2f000384,
     0x51036910,
     0x209e0000,
     0x13a07676,
     0x1f06b6b6,
     0x81202716,
     0x81340729,
     0x8135074e,
     0x810b0726,
     0x811207c6,
     0x1042422e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x51046902,
     0x209e0000,
     0x108989d4,
     0x91001993,
     0x01045301,
     0x111f0101,
     0x68017303,
     0x2480159f,
     0x209e0000,
     0x011053c1,
     0x80c13994,
     0x81011961,
     0x209e0000,
     0x2e80858a,
     0xc9022a06,
     0x24000082,
     0x24ff00c2,
     0x240000e1,
     0xe1742281,
     0x2100e800,
     0x24000c86,
     0x2f0080c6,
     0x2100e800,
     0x2eff9f89,
     0x24000085,
     0x240800c5,
     0x8685f289,
     0x01408585,
     0x6ec585fe,
     0x209e0000 };

const int post_pdsp1Size = sizeof(post_pdsp1);
