/*  (C) Copyright 2009-2014 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_QOS_SCHED_WIDE_LE_H_
#define QMSS_QOS_SCHED_WIDE_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_wide_le[] =  {
     0x21000300,
     0x80400000,
     0x02000109,
     0x240000e0,
     0x81002280,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000081,
     0x248040c1,
     0x24010982,
     0x240200c2,
     0x241ff8e0,
     0x80e06981,
     0x2eff8382,
     0x241e00c2,
     0x24000046,
     0x2eff878c,
     0x2410008e,
     0x2400586e,
     0x2400f00f,
     0x2400084f,
     0x2400886f,
     0x240c68e0,
     0x80e0e98c,
     0x1f17e3e3,
     0x241ff0e0,
     0x91082281,
     0x90802984,
     0x0101c4c1,
     0x80802981,
     0x241f80e0,
     0x90e0e984,
     0xc917e303,
     0x1d17e3e3,
     0x21005000,
     0x240680e0,
     0x90e0e988,
     0x240c68e0,
     0x90e0e98c,
     0x92846994,
     0x90c4e990,
     0x9085699a,
     0xc846e31d,
     0x5100fb16,
     0x00278286,
     0x00478686,
     0x00078686,
     0x090486e0,
     0x90e06780,
     0xd1020803,
     0x70fbe00f,
     0x21003c00,
     0x70fbe10d,
     0x108686e0,
     0x2302399e,
     0x82c2a98c,
     0x011cc2c2,
     0x92c5a98c,
     0x00e0f0f0,
     0x0300efef,
     0x0101f2f2,
     0x82c5a98c,
     0x051cc2c2,
     0x92c2a98c,
     0x21003600,
     0x23022f9e,
     0x6019070b,
     0x2302219e,
     0x58286603,
     0x23022a9e,
     0x21005400,
     0x2302169e,
     0x61014602,
     0x23020f9e,
     0xc846e303,
     0x23021a9e,
     0x23022a9e,
     0xcf1fffdd,
     0x1f1fffff,
     0x01016363,
     0x241f80e0,
     0x80e0e984,
     0x21005a00,
     0x91006984,
     0xc90704b2,
     0x240001e5,
     0x69800404,
     0x69002419,
     0x108282c4,
     0x21010b00,
     0x69810408,
     0x111fc4e0,
     0x5100e003,
     0x240003e5,
     0x21010b00,
     0x69002411,
     0x10c4c482,
     0x21010b00,
     0x69820408,
     0x240000e0,
     0x81002280,
     0x10c4c4e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x21010b00,
     0x6990044b,
     0x1f17e3e3,
     0x5f0144f1,
     0x6f0064f0,
     0x51012404,
     0x51002433,
     0x240004e5,
     0x21010b00,
     0x1e44e3e3,
     0x240c68c6,
     0x24068087,
     0x240090c7,
     0x24004888,
     0x24000069,
     0x10444449,
     0x51004908,
     0x49014903,
     0x241000c7,
     0x2405e888,
     0x00c7c6c6,
     0x00888787,
     0x05014949,
     0x4f0049fa,
     0x90c6e98b,
     0x240000eb,
     0x240000ec,
     0x2400002e,
     0x108d8d86,
     0x10c6c6e0,
     0x240000ea,
     0x80e0298a,
     0x05048686,
     0x0104e0e0,
     0x6f0086fd,
     0x80c6e98b,
     0xd1016908,
     0x9087e98f,
     0xc9040f06,
     0x24000169,
     0x24000149,
     0x240090c7,
     0x24004888,
     0x21008400,
     0x104444e0,
     0x23020f9e,
     0x50e04603,
     0x2302169e,
     0x21009e00,
     0x1063634e,
     0x23021a9e,
     0x50286604,
     0x10393913,
     0x2302219e,
     0x2100a300,
     0x2302169e,
     0x21010a00,
     0x1cc4e3e3,
     0x10c4c4e0,
     0x23020f9e,
     0x50e04603,
     0x2302169e,
     0x2100ac00,
     0x00822786,
     0x2400009d,
     0x506f9d0a,
     0x090486e0,
     0x90e02780,
     0x5100e004,
     0x108686e0,
     0x2302399e,
     0x2100b200,
     0x01019d9d,
     0x01018686,
     0x2100b100,
     0x21010a00,
     0x69910420,
     0x24004087,
     0x240000c6,
     0x5f0144a5,
     0x6f0064a4,
     0x240680c7,
     0x240048e1,
     0x10c4c4e0,
     0x5100e006,
     0x4901e002,
     0x2405e8e1,
     0x00e1c7c7,
     0x0501e0e0,
     0x4f00e0fc,
     0x24004886,
     0x240038c6,
     0x5901c403,
     0x2405e886,
     0x240000c6,
     0x51002404,
     0x6f0124a7,
     0x1f17e3e3,
     0x2100d500,
     0x10c7c787,
     0x240040c7,
     0x90872988,
     0x80c72988,
     0x01048787,
     0x0104c7c7,
     0x05048686,
     0x4f0086fb,
     0x21010b00,
     0x6992042c,
     0xc9072402,
     0x21007700,
     0x1107c400,
     0x0b03c420,
     0x111f2020,
     0x0b08c440,
     0x10242460,
     0x5f010080,
     0x23020f9e,
     0x50004603,
     0x2302169e,
     0x660046ff,
     0x5e28207b,
     0x23021a9e,
     0x50206603,
     0x2302219e,
     0x662066ff,
     0x5e194076,
     0x23022a9e,
     0x50400703,
     0x23022f9e,
     0x664007ff,
     0x92c5a98c,
     0x10eeeef4,
     0x10ededf5,
     0x10f0f0f6,
     0x10efeff7,
     0x10f1f1f8,
     0x10f2f2f9,
     0x240660e1,
     0x82e16994,
     0xc9006003,
     0x240000ee,
     0x240000ed,
     0xc9016002,
     0x240000f1,
     0xc9026003,
     0x240000f0,
     0x240000ef,
     0xc9036002,
     0x240000f2,
     0x82c5a98c,
     0x21010a00,
     0x240002e5,
     0x21010b00,
     0x240001e5,
     0x24000004,
     0x81006984,
     0x23020f9e,
     0xc846e380,
     0x240000fc,
     0x504e6315,
     0x01014e4e,
     0x00eaecec,
     0xd11fec03,
     0x70ebec02,
     0x10ebebec,
     0x23021a9e,
     0x00f4f0f0,
     0xd11ff003,
     0x70f6f002,
     0x10f6f6f0,
     0x00f5f1f1,
     0x5100f106,
     0xd11ff105,
     0x1e66fcfc,
     0xd11ff103,
     0x70f7f102,
     0x10f7f7f1,
     0x2302219e,
     0x662866f4,
     0x21011000,
     0x240000e0,
     0x5100c908,
     0x0904c8e0,
     0xc9030802,
     0x0104e0e0,
     0x90e02780,
     0x04e0c9e0,
     0x5100e062,
     0xd11fe061,
     0x80c22980,
     0x0104c2c2,
     0x24ffff9d,
     0x2400ff5d,
     0x5100ec5b,
     0xd11fec5a,
     0x1d1ffdfd,
     0x23021a9e,
     0x5100f014,
     0xd11ff013,
     0x2301939e,
     0x6900e003,
     0x1c66fdfd,
     0x21014a00,
     0x0009e0e1,
     0x0429e1e1,
     0x090be1e1,
     0xd1010803,
     0x240001e1,
     0x0914e1e1,
     0x04e1ecec,
     0x04e1f0f0,
     0x04e1f1f1,
     0x1f1ffdfd,
     0x5100ec4b,
     0xd11fec4a,
     0x23025a9e,
     0x5100e048,
     0x2302219e,
     0x662866eb,
     0xd71ffde8,
     0x23021a9e,
     0x5100ec3f,
     0xd11fec3e,
     0x10fdfce0,
     0x5100e03c,
     0x10fdfce0,
     0x10ede0e0,
     0x6900e010,
     0x2302219e,
     0x23021a9e,
     0x00f8f2f2,
     0x0901f8e0,
     0xd11ff203,
     0x70e0f202,
     0x10e0e0f2,
     0x5100f803,
     0xd11ff203,
     0x5100f202,
     0x1e66eded,
     0x2302219e,
     0x662866f6,
     0x23021a9e,
     0x21015200,
     0x502f6603,
     0x2302219e,
     0x21016400,
     0xc82fe020,
     0x2301939e,
     0x6900e003,
     0x1c2ffdfd,
     0x21018700,
     0x80c22980,
     0x0104c2c2,
     0x0009e0e0,
     0x0429e0e0,
     0x090be0e1,
     0xd1010803,
     0x240001e1,
     0x0914e1e1,
     0x0908e0e0,
     0xd1000803,
     0x240001e0,
     0x0911e0e0,
     0x04e1ecec,
     0x04e1f1f1,
     0x04e0f2f2,
     0x5100f103,
     0xd11ff102,
     0x21017f00,
     0x1c2ffcfc,
     0x5100f203,
     0xd11ff202,
     0x21018300,
     0x1c2feded,
     0x0504c2c2,
     0x90c22980,
     0x23025a9e,
     0x5100e00b,
     0x2302219e,
     0x01012f2f,
     0x66282fc5,
     0x2400002f,
     0x23021a9e,
     0x21014e00,
     0x0504c2c2,
     0x2302169e,
     0x6701467f,
     0x21002000,
     0x80c4e990,
     0x21018d00,
     0x109e9ede,
     0x80c2698d,
     0x0108c2c2,
     0xc91fff03,
     0x1f1fffff,
     0x01016363,
     0x004727e1,
     0x0082e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e16d,
     0x51006d4a,
     0x0059390d,
     0x23022a9e,
     0x50390706,
     0xc8076d03,
     0x2301fb9e,
     0x2101eb00,
     0x23022f9e,
     0x663907fc,
     0x5100593b,
     0x2400002d,
     0x240001e1,
     0x0859e1e1,
     0x0501e1e1,
     0x0839e1e1,
     0x106de1e1,
     0x5100e131,
     0x106d33e1,
     0x6900e115,
     0x23022a9e,
     0x50390703,
     0x23022f9e,
     0x2101b400,
     0x1039394d,
     0x90c5298e,
     0x00faeeee,
     0x0901fae0,
     0xd11fee03,
     0x70e0ee02,
     0x10e0e0ee,
     0x5100fa03,
     0xd11fee03,
     0x5100ee02,
     0x1e4d3333,
     0x80c5298e,
     0x01014d4d,
     0x23022f9e,
     0x660d4df3,
     0x2101b100,
     0x50130705,
     0x23022a9e,
     0x50130703,
     0x23022f9e,
     0x2101c900,
     0x106d33e1,
     0xc813e112,
     0x2301fb9e,
     0x5100e00d,
     0x0009e0e1,
     0x0429e1e1,
     0x0908e1e1,
     0xd1000803,
     0x240001e1,
     0x0911e1e1,
     0x90c5298e,
     0x04e1eeee,
     0x80c5298e,
     0x5100ee03,
     0xd11fee02,
     0x2101dd00,
     0x1c133333,
     0x2301ef9e,
     0x2101eb00,
     0x2301ef9e,
     0x66592dd1,
     0x500d0703,
     0x23022f9e,
     0x2101e100,
     0x50190706,
     0xc8076d03,
     0x2301fb9e,
     0x2101eb00,
     0x23022f9e,
     0x661907fc,
     0x240000e0,
     0x0508c2c2,
     0x90c2698d,
     0x10dede9e,
     0x209e0000,
     0x80c2299e,
     0x0104c2c2,
     0x01011313,
     0x600d1303,
     0x23022a9e,
     0x10393913,
     0x50130703,
     0x23022f9e,
     0x2101f500,
     0x0504c2c2,
     0x90c2299e,
     0x209e0000,
     0x82c2a98c,
     0x011cc2c2,
     0x92c5a98c,
     0x004727e0,
     0x0007e0e0,
     0x0082e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e108,
     0x0101f1f1,
     0x00e0eeee,
     0x0300eded,
     0x82c5a98c,
     0x0904c8f1,
     0x0108f1f1,
     0x80f16680,
     0x051cc2c2,
     0x92c2a98c,
     0x209e0000,
     0x24000046,
     0x24000027,
     0x240680e1,
     0x90e1e988,
     0x240c68e1,
     0x90e1e98c,
     0x209e0000,
     0x240c68e1,
     0x80e1e98c,
     0x01014646,
     0x209e0000,
     0x24000066,
     0x24000047,
     0x24069084,
     0x240c78c4,
     0x92846994,
     0x90c4e990,
     0x209e0000,
     0x80c4e990,
     0x006e8484,
     0x000fc4c4,
     0x01016666,
     0x004f4747,
     0x58286603,
     0x92846994,
     0x90c4e990,
     0x209e0000,
     0x24000007,
     0x01188485,
     0x0110c4c5,
     0x9085699a,
     0x209e0000,
     0x01088585,
     0x011cc5c5,
     0x01010707,
     0xc9040804,
     0x69040703,
     0x01288585,
     0x0120c5c5,
     0x58190702,
     0x9085699a,
     0x209e0000,
     0x84c22984,
     0x0124c2c2,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06684,
     0x11f00505,
     0x10e4e4e6,
     0x5100e516,
     0xf3006587,
     0x11c067e0,
     0x5100e003,
     0x5180e00e,
     0x21025600,
     0xd10fe902,
     0x240000ec,
     0x240000e4,
     0xc90ee902,
     0x1f1fe4e4,
     0x113f2929,
     0x090489e0,
     0x0108e0e0,
     0x80e06684,
     0x5100ec07,
     0xf3006c87,
     0x21024800,
     0x113f2929,
     0x090489e0,
     0x010ce0e0,
     0x80e02685,
     0x10e6e6e0,
     0x0524c2c2,
     0x94c22984,
     0x209e0000,
     0x0504c2c2,
     0x90c22981,
     0x5100e10a,
     0xd1030803,
     0x0501e1e1,
     0x21026300,
     0x04e0e1e1,
     0x0409e1e1,
     0x0029e1e1,
     0x240000e0,
     0x5100e103,
     0xd11fe102,
     0x240001e0,
     0x80c22981,
     0x0104c2c2,
     0x209e0000,
     0x00000048,
     0x000005e8,
     0x00000090,
     0x00001000,
     0x00000010,
     0x00000198,
     0x00000040 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_WIDE_LE_H_ */

